(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    140619,       4096]
NotebookOptionsPosition[    128407,       3753]
NotebookOutlinePosition[    128737,       3768]
CellTagsIndexPosition[    128694,       3765]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"<<", "MB.m"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"MB 1.2\"\>"], "Print",
 CellChangeTimes->{3.439885910386588*^9}],

Cell[BoxData["\<\"by Michal Czakon\"\>"], "Print",
 CellChangeTimes->{3.43988591040165*^9}],

Cell[BoxData["\<\"improvements by Alexander Smirnov\"\>"], "Print",
 CellChangeTimes->{3.439885910409768*^9}],

Cell[BoxData["\<\"more info in hep-ph/0511200\"\>"], "Print",
 CellChangeTimes->{3.4398859104176493`*^9}],

Cell[BoxData["\<\"last modified 2 Jan 08\"\>"], "Print",
 CellChangeTimes->{3.43988591042516*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "First", " ", "planar", " ", "topology", " ", "for", " ", "Bhabha", " ", 
    RowBox[{"scattering", ".", " ", "MB"}], " ", "representation", " ", 
    RowBox[{"from", ":", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"V", ".", "A", ".", "Smirnov"}]}]}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Phys", ".", "Lett", ".", "B524"}], " ", 
     RowBox[{"(", "2002", ")"}], " ", "129"}], "-", "136"}]}], " ", 
  "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"B1general", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{
       "a1", "+", "a2", "+", "a3", "+", "a4", "+", "a5", "+", "a6", "+", "a7",
         "+", "a8"}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", "a2", "]"}], 
       RowBox[{"Gamma", "[", "a4", "]"}], 
       RowBox[{"Gamma", "[", "a5", "]"}], 
       RowBox[{"Gamma", "[", "a6", "]"}], 
       RowBox[{"Gamma", "[", "a7", "]"}], 
       RowBox[{"Gamma", "[", 
        RowBox[{"4", "-", "a4", "-", "a5", "-", "a6", "-", "a7", "-", 
         RowBox[{"2", "ep"}]}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "s"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
         "a1", "+", "a2", "+", "a3", "+", "a4", "+", "a5", "+", "a6", "+", 
          "a7", "+", "a8", "-", "4", "+", 
          RowBox[{"2", "ep"}]}], ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "s"}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "z1"}], "-", "z5"}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "/", "s"}], ")"}], "^", "w"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"a2", "+", "w"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "w"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"z2", "+", "z4"}], "]"}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{"z3", "+", "z4"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", 
        RowBox[{"a1", "+", "z3", "+", "z4"}], "]"}], 
       RowBox[{"Gamma", "[", 
        RowBox[{"a3", "+", "z2", "+", "z4"}], "]"}]}], ")"}]}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"4", "-", "a1", "-", "a3", "-", 
      RowBox[{"2", "a2"}], "-", 
      RowBox[{"2", "a8"}], "-", 
      RowBox[{"2", "ep"}], "+", "z2", "+", "z3"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "a1", "+", "a2", "+", "a3", "+", "a8", "-", "2", "+", "ep", "+", "z4", 
      "+", "z5"}], "]"}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{"a7", "+", "w", "-", "z4"}], "]"}], "/", 
     RowBox[{"Gamma", "[", 
      RowBox[{"4", "-", "a4", "-", "a6", "-", 
       RowBox[{"2", "a5"}], "-", 
       RowBox[{"2", "a7"}], "-", 
       RowBox[{"2", "ep"}], "-", 
       RowBox[{"2", "w"}], "-", 
       RowBox[{"2", "z1"}], "-", "z2", "-", "z3"}], "]"}]}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "a4", "+", "a5", "+", "a6", "+", "a7", "-", "2", "+", "ep", "+", "w", 
      "+", "z1", "-", "z4"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"a8", "-", "z2", "-", "z3", "-", "z4"}], "]"}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "w"}], "-", "z2", "-", "z3", "-", "z4"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", 
        RowBox[{"4", "-", "a1", "-", "a2", "-", "a3", "-", "a8", "-", 
         RowBox[{"2", "ep"}], "+", "w", "-", "z4"}], "]"}], 
       RowBox[{"Gamma", "[", 
        RowBox[{"a8", "-", "w", "-", "z2", "-", "z3", "-", "z4"}], "]"}]}], 
      ")"}]}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"a5", "+", "w", "+", "z2", "+", "z3", "+", "z4"}], "]"}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{
      "2", "-", "a5", "-", "a6", "-", "a7", "-", "ep", "-", "w", "-", "z1", 
       "-", "z2"}], "]"}], "/", 
     RowBox[{"Gamma", "[", 
      RowBox[{"4", "-", "a1", "-", "a3", "-", 
       RowBox[{"2", "a2"}], "-", 
       RowBox[{"2", "a8"}], "-", 
       RowBox[{"2", "ep"}], "+", "z2", "+", "z3", "-", 
       RowBox[{"2", "z5"}]}], "]"}]}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "2", "-", "a4", "-", "a5", "-", "a7", "-", "ep", "-", "w", "-", "z1", 
      "-", "z3"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "2", "-", "a1", "-", "a2", "-", "a8", "-", "ep", "+", "z2", "-", "z5"}], 
     "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "2", "-", "a2", "-", "a3", "-", "a8", "-", "ep", "+", "z3", "-", "z5"}], 
     "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"4", "-", "a4", "-", "a6", "-", 
      RowBox[{"2", "a5"}], "-", 
      RowBox[{"2", "a7"}], "-", 
      RowBox[{"2", "ep"}], "-", 
      RowBox[{"2", "w"}], "-", "z2", "-", "z3"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z1"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z5"}], "]"}]}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B1", "=", 
  RowBox[{"B1general", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "1"}], ",", 
     RowBox[{"a3", "\[Rule]", "1"}], ",", 
     RowBox[{"a4", "\[Rule]", "1"}], ",", 
     RowBox[{"a5", "\[Rule]", "1"}], ",", 
     RowBox[{"a6", "\[Rule]", "1"}], ",", 
     RowBox[{"a7", "\[Rule]", "1"}], ",", 
     RowBox[{"a8", "\[Rule]", "0"}]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "s"}], ")"}], 
      RowBox[{
       RowBox[{"-", "3"}], "-", 
       RowBox[{"2", " ", "ep"}], "-", "z1", "-", "z5"}]], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["t", "s"], ")"}], "w"], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "w"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "w"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z1"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "1"}], "-", "ep", "-", "w", "-", "z1", "-", "z2"}], "]"}],
      " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "1"}], "-", "ep", "-", "w", "-", "z1", "-", "z3"}], "]"}],
      " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       RowBox[{"2", " ", "ep"}], "-", 
       RowBox[{"2", " ", "w"}], "-", "z2", "-", "z3"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "ep"}], "+", "z2", "+", "z3"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "w", "-", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"2", "+", "ep", "+", "w", "+", "z1", "-", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "z2"}], "-", "z3", "-", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"z2", "+", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"z3", "+", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "w", "+", "z2", "+", "z3", "+", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "ep"}], "+", "z2", "-", "z5"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "ep"}], "+", "z3", "-", "z5"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z5"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "ep", "+", "z4", "+", "z5"}], "]"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "ep"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       RowBox[{"2", " ", "ep"}], "-", 
       RowBox[{"2", " ", "w"}], "-", 
       RowBox[{"2", " ", "z1"}], "-", "z2", "-", "z3"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "ep"}], "+", "w", "-", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "z2", "+", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "z3", "+", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "ep"}], "+", "z2", "+", "z3", "-", 
       RowBox[{"2", " ", "z5"}]}], "]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.439885915683803*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"regularization", " ", "of", " ", "the", " ", "integral"}], " ", 
  "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B1rules", "=", 
  RowBox[{"MBoptimizedRules", "[", 
   RowBox[{"B1", ",", 
    RowBox[{"ep", "\[Rule]", "0"}], ",", 
    RowBox[{"{", "}"}], ",", 
    RowBox[{"{", "ep", "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBresidues", "::", "\<\"contour\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"contour starts and/or ends on a pole of \
Gamma[\\!\\(\\(\\(-1\\)\\) - ep - w - z1 + z4\\)]\"\>"}]], "Message",
 CellChangeTimes->{3.439885917704982*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBresidues", "::", "\<\"contour\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"contour starts and/or ends on a pole of Gamma[\\!\\(1 + \
\\(\\(2\\\\ z1\\)\\)\\)]\"\>"}]], "Message",
 CellChangeTimes->{3.4398859178772793`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.439885918372204*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.439885918438143*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.439885918494878*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Further output of \\!\\(MBrules :: \\\"norules\\\"\\) will \
be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message",
 CellChangeTimes->{3.439885918563675*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ep", "\[Rule]", 
     RowBox[{"-", 
      FractionBox["53", "128"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"w", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["7", "8"]}]}], ",", 
     RowBox[{"z1", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["1", "4"]}]}], ",", 
     RowBox[{"z2", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["5", "64"]}]}], ",", 
     RowBox[{"z3", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["3", "32"]}]}], ",", 
     RowBox[{"z4", "\[Rule]", 
      FractionBox["7", "64"]}], ",", 
     RowBox[{"z5", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["111", "256"]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4398859189159193`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "continuation", " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"B1cont", "=", 
   RowBox[{"MBcontinue", "[", 
    RowBox[{"B1", ",", 
     RowBox[{"ep", "\[Rule]", "0"}], ",", "B1rules"}], "]"}]}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439885921032886*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", 
    RowBox[{"2", " ", "w"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -2 - 2 MB`ep - 
   2 $CellContext`w - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921084771*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2", " ", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 
   2 MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921138665*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398859211786633`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398859212193327`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921260442*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "ep"}], "+", 
    RowBox[{"2", " ", "w"}], "+", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 2 + 2 MB`ep + 
   2 $CellContext`w + $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921302415*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "2", "}"}]}],
  SequenceForm["Integral ", {2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921379306*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398859214220448`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-2) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398859214654922`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "3"}],
  SequenceForm["Level ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921509849*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988592156201*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398859216476707`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921691236*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398859217352247`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-2) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921778172*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921821641*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921908337*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "4"}],
  SequenceForm["Level ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398859219530497`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885921998232*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885922046258*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885922092498*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398859221395407`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "5"}],
  SequenceForm["Level ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398859221859694`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885922232032*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"11", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[11, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439885922277298*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "selection", " ", "and", " ", "merging", " ", "of", " ", "those", " ", 
   "that", " ", "contribute", " ", "to", " ", "the", " ", "finite", " ", 
   "part"}], " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B1select", "=", 
  RowBox[{"MBmerge", "[", 
   RowBox[{"MBpreselect", "[", 
    RowBox[{"B1cont", ",", 
     RowBox[{"{", 
      RowBox[{"ep", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"MBint", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "s"}], ")"}], 
         RowBox[{
          RowBox[{"-", "2"}], "-", 
          RowBox[{"2", " ", "ep"}], "-", "z1", "-", "z5"}]], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["t", "s"], ")"}], 
         RowBox[{
          RowBox[{"-", "2"}], " ", "ep"}]], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "ep"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "ep"}]}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "ep"}], "-", "z1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"ep", "-", "z1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"-", "z1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", "ep", "+", "z1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "ep"}], "-", "z5"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"ep", "-", "z5"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"-", "z5"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "-", "ep", "+", "z5"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "EulerGamma"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"PolyGamma", "[", 
            RowBox[{"0", ",", 
             RowBox[{"1", "-", 
              RowBox[{"2", " ", "ep"}]}]}], "]"}]}], "-", 
          RowBox[{"4", " ", 
           RowBox[{"PolyGamma", "[", 
            RowBox[{"0", ",", 
             RowBox[{
              RowBox[{"-", "2"}], " ", "ep"}]}], "]"}]}], "-", 
          RowBox[{"PolyGamma", "[", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{"-", "ep"}], "-", "z1"}]}], "]"}], "+", 
          RowBox[{"PolyGamma", "[", 
           RowBox[{"0", ",", 
            RowBox[{"ep", "-", "z1"}]}], "]"}], "+", 
          RowBox[{"PolyGamma", "[", 
           RowBox[{"0", ",", 
            RowBox[{"1", "+", "ep", "+", "z1"}]}], "]"}], "-", 
          RowBox[{"PolyGamma", "[", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{"-", "ep"}], "-", "z5"}]}], "]"}], "+", 
          RowBox[{"PolyGamma", "[", 
           RowBox[{"0", ",", 
            RowBox[{"ep", "-", "z5"}]}], "]"}], "-", 
          RowBox[{"PolyGamma", "[", 
           RowBox[{"0", ",", 
            RowBox[{"1", "-", "ep", "+", "z5"}]}], "]"}]}], ")"}]}], ")"}], 
      "/", 
      RowBox[{"(", 
       RowBox[{"2", " ", "t", " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "ep"}]}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "z1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "z5"}], "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ep", "\[Rule]", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"z1", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["1", "4"]}]}], ",", 
         RowBox[{"z5", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["111", "256"]}]}]}], "}"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"MBint", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "s"}], ")"}], 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "ep"}], "-", "z1", "-", "z5"}]], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["t", "s"], ")"}], "w"], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"-", "w"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", "w"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"2", " ", "ep"}], "+", "w"}], ")"}]}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "ep"}], "+", "w"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"-", "z1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"-", "z5"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "ep"}], "-", "z1"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{"ep", "-", "z1"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{"1", "+", "ep", "+", "z1"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"2", " ", "ep"}], "+", "w", "+", "z1"}], ")"}]}], 
            "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"3", " ", "ep"}], "-", "w", "-", "z5"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "-", "ep", "-", "w", "-", "z5"}], "]"}], " ",
            
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "z5"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{"2", "+", "ep", "+", "w", "+", "z5"}], "]"}]}], "+", 
          RowBox[{
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"3", " ", "ep"}], "-", "w", "-", "z1"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "-", "ep", "-", "w", "-", "z1"}], "]"}], " ",
            
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "z1"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{"2", "+", 
             RowBox[{"3", " ", "ep"}], "+", "w", "+", "z1"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "ep"}], "-", "z5"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{"ep", "-", "z5"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{"1", "-", "ep", "+", "z5"}], "]"}], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"2", " ", "ep"}], "+", "w", "+", "z5"}], ")"}]}], 
            "]"}]}]}], ")"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["s", "3"], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "ep"}]}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "z1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"2", " ", "ep"}], "+", "w", "+", "z1"}], ")"}]}], "]"}], 
        " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "z5"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"2", " ", "ep"}], "+", "w", "+", "z5"}], ")"}]}], "]"}]}],
        ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ep", "\[Rule]", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"w", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["7", "8"]}]}], ",", 
         RowBox[{"z1", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["1", "4"]}]}], ",", 
         RowBox[{"z5", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["111", "256"]}]}]}], "}"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"MBint", "[", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "s"}], ")"}], 
          RowBox[{
           RowBox[{"-", "2"}], "-", 
           RowBox[{"2", " ", "ep"}], "-", "z1", "-", "z5"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["t", "s"], ")"}], 
          RowBox[{
           RowBox[{"-", "2"}], " ", "ep"}]], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "ep"}]}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"-", "z1"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"1", "+", "ep", "+", "z1"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"ep", "-", "z1", "-", "z2"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"-", "z2"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "ep"}], "+", "z2"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{
           RowBox[{"-", "ep"}], "-", "z1", "+", "z2"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"ep", "-", "z2", "-", "z5"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{
           RowBox[{"-", "ep"}], "+", "z2", "-", "z5"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"-", "z5"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"1", "-", "ep", "+", "z5"}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "EulerGamma"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"PolyGamma", "[", 
             RowBox[{"0", ",", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "ep"}]}], "]"}]}], "-", 
           RowBox[{"PolyGamma", "[", 
            RowBox[{"0", ",", 
             RowBox[{"1", "+", "ep", "+", "z1"}]}], "]"}], "-", 
           RowBox[{"PolyGamma", "[", 
            RowBox[{"0", ",", 
             RowBox[{"1", "-", "z2"}]}], "]"}], "+", 
           RowBox[{"PolyGamma", "[", 
            RowBox[{"0", ",", 
             RowBox[{"-", "z2"}]}], "]"}], "+", 
           RowBox[{"PolyGamma", "[", 
            RowBox[{"0", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", "ep"}], "+", "z2"}]}], "]"}], "-", 
           RowBox[{"PolyGamma", "[", 
            RowBox[{"0", ",", 
             RowBox[{"1", "-", 
              RowBox[{"2", " ", "ep"}], "+", "z2"}]}], "]"}], "+", 
           RowBox[{"PolyGamma", "[", 
            RowBox[{"0", ",", 
             RowBox[{"1", "-", "ep", "+", "z5"}]}], "]"}]}], ")"}]}], ")"}], 
       "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "t", " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "z1"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"1", "-", "z2"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "ep"}], "+", "z2"}], "]"}], " ", 
         RowBox[{"Gamma", "[", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "z5"}], "]"}]}], ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ep", "\[Rule]", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"z1", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["1", "4"]}]}], ",", 
         RowBox[{"z2", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["5", "64"]}]}], ",", 
         RowBox[{"z5", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["111", "256"]}]}]}], "}"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"MBint", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "s"}], ")"}], 
         RowBox[{
          RowBox[{"-", "2"}], "-", 
          RowBox[{"2", " ", "ep"}], "-", "z1", "-", "z5"}]], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["t", "s"], ")"}], 
         RowBox[{
          RowBox[{"-", "2"}], " ", "ep"}]], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "ep"}]}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"-", "z1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"ep", "-", "z1", "-", "z2"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "ep"}], "-", "z1", "+", "z2"}], "]"}], " ", 
        SuperscriptBox[
         RowBox[{"Gamma", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "ep"}], "-", "z4"}], "]"}], "2"], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "-", "ep", "+", "z1", "-", "z4"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "z4", "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"2", " ", "ep"}], "-", "z2", "+", "z4"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"z2", "+", "z4"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"ep", "-", "z2", "-", "z5"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "ep"}], "+", "z2", "-", "z5"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"-", "z5"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", "ep", "+", "z4", "+", "z5"}], "]"}]}], ")"}], "/", 
      
      RowBox[{"(", 
       RowBox[{"2", " ", "t", " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "z1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "ep"}], "-", "z4"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "ep"}], "-", "z2", "+", "z4"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", "z2", "+", "z4"}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "z5"}], "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ep", "\[Rule]", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"z1", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["1", "4"]}]}], ",", 
         RowBox[{"z2", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["5", "64"]}]}], ",", 
         RowBox[{"z4", "\[Rule]", 
          FractionBox["7", "64"]}], ",", 
         RowBox[{"z5", "\[Rule]", 
          RowBox[{"-", 
           FractionBox["111", "256"]}]}]}], "}"}]}], "}"}]}], "]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4398859249720097`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"B1exp", "=", 
   RowBox[{"MBmerge", "[", 
    RowBox[{"MBexpand", "[", 
     RowBox[{"B1select", ",", 
      RowBox[{"Exp", "[", 
       RowBox[{"2", "ep", " ", "EulerGamma"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"ep", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "numerical", " ", "evaluation", " ", "down", " ", "to", " ", "the", " ", 
   "finite", " ", "part"}], " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B1int", "=", 
  RowBox[{"MBintegrate", "[", 
   RowBox[{"B1exp", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "\[Rule]", 
       RowBox[{"-", "2"}]}], ",", 
      RowBox[{"t", "\[Rule]", 
       RowBox[{"-", "3"}]}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.439886115606668*^9, 3.439886120835133*^9}, {
  3.439886263169819*^9, 3.439886264339767*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Shifting contours...\"\>"], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886264971272*^9}],

Cell["Performing 0 lower-dimensional integrations with NIntegrate", "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.4398862808868237`*^9}],

Cell[BoxData["\<\"Higher-dimensional integrals\"\>"], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886280935487*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart1ep0", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886280947238*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart2ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886281099771*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart3ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886281436688*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart4ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886281668396*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart5ep-1", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.4398862818980217`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart6ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart6ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886282080371*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart7ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart7ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.4398862822781343`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>"}],
  SequenceForm["Running ", "MBpart1ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.4398862824399433`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>"}],
  SequenceForm["Running ", "MBpart2ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886293440243*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>"}],
  SequenceForm["Running ", "MBpart3ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886296070301*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>"}],
  SequenceForm["Running ", "MBpart4ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886297343875*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep-1\"\>"}],
  SequenceForm["Running ", "MBpart5ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886297395358*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart6ep-1\"\>"}],
  SequenceForm["Running ", "MBpart6ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886298165807*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart7ep-2\"\>"}],
  SequenceForm["Running ", "MBpart7ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4398859704017897`*^9, 3.439886016454475*^9, 3.439886067251051*^9, {
   3.4398861213166122`*^9, 3.439886134613059*^9}, 3.439886298241205*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.9721826116789007`", "\[InvisibleSpace]", "-", 
    FractionBox["0.0963546541407778`", 
     SuperscriptBox["ep", "2"]], "+", 
    FractionBox["0.10646644178960919`", "ep"]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0.00009911878289982206`", "\[InvisibleSpace]", "+", 
      FractionBox["8.640112587480651`*^-6", 
       SuperscriptBox["ep", "2"]], "+", 
      FractionBox["0.00002292643267325713`", "ep"]}], ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.439885970477914*^9, 3.4398860375236998`*^9, {3.439886102231902*^9, 
   3.4398861316410503`*^9}, 3.4398861710343018`*^9, 3.439886298304147*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"the", " ", "exact", " ", "result", " ", "gives"}], " ", 
  "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B1exact", " ", "=", " ", 
  RowBox[{"0.9722073011355002", "-", 
   FractionBox["0.09635433901514644", 
    SuperscriptBox["ep", "2"]], "+", 
   FractionBox["0.10646868656849023", "ep"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"0.9722073011355002`", "\[InvisibleSpace]", "-", 
  FractionBox["0.09635433901514644`", 
   SuperscriptBox["ep", "2"]], "+", 
  FractionBox["0.10646868656849023`", "ep"]}]], "Output",
 CellChangeTimes->{3.4398861076100893`*^9, 3.439886257878172*^9, 
  3.439886307390903*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B1exact", "-", 
  RowBox[{"B1int", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"0.000024689456599502613`", "\[InvisibleSpace]", "+", 
  FractionBox["3.1512563136715244`*^-7", 
   SuperscriptBox["ep", "2"]], "+", 
  FractionBox["2.244778881041465`*^-6", "ep"]}]], "Output",
 CellChangeTimes->{3.4398861087202253`*^9, 3.4398862586721888`*^9, 
  3.439886308390108*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Second", " ", "planar", " ", "topology", " ", "for", " ", "Bhabha", " ", 
    RowBox[{"scattering", ".", " ", "MB"}], " ", "representation", " ", 
    RowBox[{"from", ":", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"G", ".", "Heinrich"}], " ", "and", " ", 
      RowBox[{"V", ".", "A", ".", "Smirnov"}]}]}]}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Phys", ".", "Lett", ".", "B598"}], " ", 
     RowBox[{"(", "2004", ")"}], " ", "55"}], "-", "66"}]}], " ", 
  "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"B2general", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{
       "a1", "+", "a2", "+", "a3", "+", "a4", "+", "a5", "+", "a6", "+", "a7",
         "+", "a8"}], ")"}]}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", "a2", "]"}], 
       RowBox[{"Gamma", "[", "a4", "]"}], 
       RowBox[{"Gamma", "[", "a5", "]"}], 
       RowBox[{"Gamma", "[", "a6", "]"}], 
       RowBox[{"Gamma", "[", "a7", "]"}], 
       RowBox[{"Gamma", "[", 
        RowBox[{"4", "-", "a4", "-", "a5", "-", "a6", "-", "a7", "-", 
         RowBox[{"2", "ep"}]}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "s"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
         "a1", "+", "a2", "+", "a3", "+", "a4", "+", "a5", "+", "a6", "+", 
          "a7", "+", "a8", "-", "4", "+", 
          RowBox[{"2", "ep"}]}], ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "s"}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "z5"}], "-", "z6"}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "/", "s"}], ")"}], "^", "z1"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z1"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z2"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z3"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z4"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z5"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z6"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"a2", "+", "z1"}], "]"}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{"a4", "+", "z2", "+", "z4"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", 
        RowBox[{"a3", "-", "z2"}], "]"}], 
       RowBox[{"Gamma", "[", 
        RowBox[{"a1", "-", "z3"}], "]"}]}], ")"}]}], 
    RowBox[{"Gamma", "[", 
     RowBox[{"4", "-", 
      RowBox[{"2", "a4"}], "-", "a5", "-", 
      RowBox[{"2", "a6"}], "-", "a7", "-", 
      RowBox[{"2", "ep"}], "-", "z2", "-", "z3", "-", 
      RowBox[{"2", "z4"}]}], "]"}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{"a6", "+", "z3", "+", "z4"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Gamma", "[", 
        RowBox[{"4", "-", 
         RowBox[{"2", "a4"}], "-", "a5", "-", 
         RowBox[{"2", "a6"}], "-", "a7", "-", 
         RowBox[{"2", "ep"}], "-", "z2", "-", "z3", "-", 
         RowBox[{"2", "z4"}], "-", 
         RowBox[{"2", "z5"}]}], "]"}], 
       RowBox[{"Gamma", "[", 
        RowBox[{
        "6", "-", "a1", "-", "a2", "-", "a3", "-", "a4", "-", "a5", "-", "a6",
          "-", "a7", "-", "a8", "-", 
         RowBox[{"3", "ep"}], "-", "z4", "-", "z5"}], "]"}]}], ")"}]}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{"8", "-", "a1", "-", "a3", "-", 
       RowBox[{"2", "a2"}], "-", 
       RowBox[{"2", "a4"}], "-", 
       RowBox[{"2", "a5"}], "-", 
       RowBox[{"2", "a6"}], "-", 
       RowBox[{"2", "a7"}], "-", 
       RowBox[{"2", "a8"}], "-", 
       RowBox[{"4", "ep"}], "-", 
       RowBox[{"2", "z1"}], "-", "z2", "-", "z3", "-", 
       RowBox[{"2", "z4"}], "-", 
       RowBox[{"2", "z5"}]}], "]"}], "/", 
     RowBox[{"Gamma", "[", 
      RowBox[{"8", "-", "a1", "-", "a3", "-", 
       RowBox[{"2", "a2"}], "-", 
       RowBox[{"2", "a4"}], "-", 
       RowBox[{"2", "a5"}], "-", 
       RowBox[{"2", "a6"}], "-", 
       RowBox[{"2", "a7"}], "-", 
       RowBox[{"2", "a8"}], "-", 
       RowBox[{"4", "ep"}], "-", 
       RowBox[{"2", "z1"}], "-", "z2", "-", "z3", "-", 
       RowBox[{"2", "z4"}], "-", 
       RowBox[{"2", "z5"}], "-", 
       RowBox[{"2", "z6"}]}], "]"}]}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "2", "-", "a4", "-", "a5", "-", "a6", "-", "ep", "-", "z4", "-", "z5"}], 
     "]"}], 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{
      "2", "-", "a4", "-", "a6", "-", "a7", "-", "ep", "-", "z2", "-", "z3", 
       "-", "z4", "-", "z5"}], "]"}], "/", 
     RowBox[{"Gamma", "[", 
      RowBox[{
      "a4", "+", "a5", "+", "a6", "+", "a7", "+", "a8", "-", "2", "+", "ep", 
       "+", "z2", "+", "z3", "+", "z4", "+", "z5"}], "]"}]}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "a4", "+", "a5", "+", "a6", "+", "a7", "+", "ep", "-", "2", "+", "z2", 
      "+", "z3", "+", "z4", "+", "z5"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "a4", "+", "a5", "+", "a6", "+", "a7", "+", "a8", "-", "2", "+", "ep", 
      "+", "z1", "+", "z2", "+", "z3", "+", "z4", "+", "z5"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "4", "-", "a1", "-", "a2", "-", "a4", "-", "a5", "-", "a6", "-", "a7", 
      "-", "a8", "-", 
      RowBox[{"2", "ep"}], "-", "z1", "-", "z2", "-", "z4", "-", "z5", "-", 
      "z6"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "4", "-", "a2", "-", "a3", "-", "a4", "-", "a5", "-", "a6", "-", "a7", 
      "-", "a8", "-", 
      RowBox[{"2", "ep"}], "-", "z1", "-", "z3", "-", "z4", "-", "z5", "-", 
      "z6"}], "]"}], 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "a1", "+", "a2", "+", "a3", "+", "a4", "+", "a5", "+", "a6", "+", "a7", 
      "+", "a8", "-", "4", "+", 
      RowBox[{"2", "ep"}], "+", "z1", "+", "z4", "+", "z5", "+", "z6"}], 
     "]"}]}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B2", "=", 
  RowBox[{"B2general", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "1"}], ",", 
     RowBox[{"a3", "\[Rule]", "1"}], ",", 
     RowBox[{"a4", "\[Rule]", "1"}], ",", 
     RowBox[{"a5", "\[Rule]", "1"}], ",", 
     RowBox[{"a6", "\[Rule]", "1"}], ",", 
     RowBox[{"a7", "\[Rule]", "1"}], ",", 
     RowBox[{"a8", "\[Rule]", "0"}]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "s"}], ")"}], 
      RowBox[{
       RowBox[{"-", "3"}], "-", 
       RowBox[{"2", " ", "ep"}], "-", "z5", "-", "z6"}]], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["t", "s"], ")"}], "z1"], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z1"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "z1"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z2"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z3"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       RowBox[{"2", " ", "ep"}], "-", "z2", "-", "z3", "-", 
       RowBox[{"2", " ", "z4"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "z2", "+", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "z3", "+", "z4"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "4"}], "-", 
       RowBox[{"4", " ", "ep"}], "-", 
       RowBox[{"2", " ", "z1"}], "-", "z2", "-", "z3", "-", 
       RowBox[{"2", " ", "z4"}], "-", 
       RowBox[{"2", " ", "z5"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "1"}], "-", "ep", "-", "z4", "-", "z5"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "1"}], "-", "ep", "-", "z2", "-", "z3", "-", "z4", "-", 
       "z5"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z5"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
      "2", "+", "ep", "+", "z1", "+", "z2", "+", "z3", "+", "z4", "+", "z5"}],
       "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       RowBox[{"2", " ", "ep"}], "-", "z1", "-", "z2", "-", "z4", "-", "z5", 
       "-", "z6"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       RowBox[{"2", " ", "ep"}], "-", "z1", "-", "z3", "-", "z4", "-", "z5", 
       "-", "z6"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z6"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"3", "+", 
       RowBox[{"2", " ", "ep"}], "+", "z1", "+", "z4", "+", "z5", "+", "z6"}],
       "]"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "ep"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "-", "z2"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "-", "z3"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       RowBox[{"2", " ", "ep"}], "-", "z2", "-", "z3", "-", 
       RowBox[{"2", " ", "z4"}], "-", 
       RowBox[{"2", " ", "z5"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"3", " ", "ep"}], "-", "z4", "-", "z5"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "4"}], "-", 
       RowBox[{"4", " ", "ep"}], "-", 
       RowBox[{"2", " ", "z1"}], "-", "z2", "-", "z3", "-", 
       RowBox[{"2", " ", "z4"}], "-", 
       RowBox[{"2", " ", "z5"}], "-", 
       RowBox[{"2", " ", "z6"}]}], "]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.439886314002996*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B2rules", "=", 
  RowBox[{"MBoptimizedRules", "[", 
   RowBox[{"B2", ",", 
    RowBox[{"ep", "\[Rule]", "0"}], ",", 
    RowBox[{"{", "}"}], ",", 
    RowBox[{"{", "ep", "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBresidues", "::", "\<\"contour\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"contour starts and/or ends on a pole of \
Gamma[\\!\\(\\(\\(-4\\)\\) - \\(\\(4\\\\ ep\\)\\) - \\(\\(2\\\\ z1\\)\\) - z2 \
- z3 - \\(\\(2\\\\ z4\\)\\) - \\(\\(2\\\\ z5\\)\\)\\)]\"\>"}]], "Message",
 CellChangeTimes->{3.439886314878806*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBresidues", "::", "\<\"contour\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"contour starts and/or ends on a pole of \
Gamma[\\!\\(\\(\\(-1\\)\\) - ep - z1 + z2 - z6\\)]\"\>"}]], "Message",
 CellChangeTimes->{3.4398863150055532`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBresidues", "::", "\<\"contour\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"contour starts and/or ends on a pole of \
Gamma[\\!\\(\\(\\(-2\\)\\) - \\(\\(4\\\\ ep\\)\\) - \\(\\(2\\\\ \
z4\\)\\)\\)]\"\>"}]], "Message",
 CellChangeTimes->{3.439886315419572*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Further output of \\!\\(MBresidues :: \\\"contour\\\"\\) \
will be suppressed during this calculation. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message",
 CellChangeTimes->{3.4398863154564667`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.439886315769528*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.4398863158052053`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.439886315870153*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Further output of \\!\\(MBrules :: \\\"norules\\\"\\) will \
be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message",
 CellChangeTimes->{3.4398863159073*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ep", "\[Rule]", 
     RowBox[{"-", 
      FractionBox["113", "960"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"z1", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["373", "480"]}]}], ",", 
     RowBox[{"z2", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["17", "960"]}]}], ",", 
     RowBox[{"z3", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["7", "192"]}]}], ",", 
     RowBox[{"z4", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["883", "960"]}]}], ",", 
     RowBox[{"z5", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["107", "960"]}]}], ",", 
     RowBox[{"z6", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["163", "320"]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.439886316530718*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"B2cont", "=", 
   RowBox[{"MBcontinue", "[", 
    RowBox[{"B2", ",", 
     RowBox[{"ep", "\[Rule]", "0"}], ",", "B2rules"}], "]"}]}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.4398863175338583`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "z2", "-", 
    RowBox[{"2", " ", "z4"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -2 - 2 
   MB`ep - $CellContext`z2 - 2 $CellContext`z4],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988631759269*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "4"}], "-", 
    RowBox[{"4", " ", "ep"}], "-", 
    RowBox[{"2", " ", "z1"}], "-", "z2", "-", 
    RowBox[{"2", " ", "z4"}], "-", 
    RowBox[{"2", " ", "z5"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -4 - 4 MB`ep - 
   2 $CellContext`z1 - $CellContext`z2 - 2 $CellContext`z4 - 
   2 $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863176383343`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863176823072`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886317726553*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", -1 - 2 
   MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863177714567`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "2", "}"}]}],
  SequenceForm["Integral ", {2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886317817216*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], "-", 
    RowBox[{"4", " ", "ep"}], "-", 
    RowBox[{"2", " ", "z1"}], "-", "z2", "-", 
    RowBox[{"2", " ", "z5"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", -3 - 4 MB`ep - 
   2 $CellContext`z1 - $CellContext`z2 - 2 $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886317900049*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], "-", 
    RowBox[{"3", " ", "ep"}], "-", "z1", "-", "z4"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -2 - 3 
   MB`ep - $CellContext`z1 - $CellContext`z4],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886317947008*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "3"}],
  SequenceForm["Level ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863179928617`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863180394907`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863180869503`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "z1"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -1 - 2 
   MB`ep - $CellContext`z1],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863181685963`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], "-", 
    RowBox[{"4", " ", "ep"}], "-", 
    RowBox[{"2", " ", "z1"}], "-", 
    RowBox[{"2", " ", "z5"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -2 - 4 MB`ep - 
   2 $CellContext`z1 - 2 $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318213859*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318259549*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318305833*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863183531103`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "+", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", -1 - 2 
   MB`ep + $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318405047*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "4"}],
  SequenceForm["Level ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318462105*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318511528*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863185618877`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318612335*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}], "-", "z1"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -1 - 3 
   MB`ep - $CellContext`z1],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318663082*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988631871213*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318760203*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863188128*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318870718*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886318986196*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886319034519*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "5"}],
  SequenceForm["Level ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863190822363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863191297398`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886319176763*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886319223669*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863192714653`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988631931921*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"16", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[16, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886319367736*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"B2select", "=", 
   RowBox[{"MBmerge", "[", 
    RowBox[{"MBpreselect", "[", 
     RowBox[{"B2cont", ",", 
      RowBox[{"{", 
       RowBox[{"ep", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"B2exp", "=", 
   RowBox[{"MBmerge", "[", 
    RowBox[{"MBexpand", "[", 
     RowBox[{"B2select", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "t"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"2", "ep"}], ")"}]}], 
       RowBox[{"Exp", "[", 
        RowBox[{"2", "ep", " ", "EulerGamma"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"ep", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B2int", "=", 
  RowBox[{"MBintegrate", "[", 
   RowBox[{"B2exp", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "\[Rule]", 
       RowBox[{"-", "2"}]}], ",", 
      RowBox[{"t", "\[Rule]", 
       RowBox[{"-", "3"}]}]}], "}"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Shifting contours...\"\>"], "Print",
 CellChangeTimes->{3.439886323133369*^9}],

Cell["Performing 0 lower-dimensional integrations with NIntegrate", "Print",
 CellChangeTimes->{3.439886335241555*^9}],

Cell[BoxData["\<\"Higher-dimensional integrals\"\>"], "Print",
 CellChangeTimes->{3.439886335298347*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart1ep0", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886335349893*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart2ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988633545898*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart3ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886335645446*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart4ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886335815049*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart5ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886336132422*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart6ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart6ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886336352952*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>"}],
  SequenceForm["Running ", "MBpart1ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886336543791*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>"}],
  SequenceForm["Running ", "MBpart2ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886346915522*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>"}],
  SequenceForm["Running ", "MBpart3ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886347315672*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>"}],
  SequenceForm["Running ", "MBpart4ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886347811499*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep-1\"\>"}],
  SequenceForm["Running ", "MBpart5ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886347898511*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart6ep-2\"\>"}],
  SequenceForm["Running ", "MBpart6ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398863479859953`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.8020443444545562`", "\[InvisibleSpace]", "-", 
    FractionBox["0.06499143418435495`", 
     SuperscriptBox["ep", "2"]], "-", 
    FractionBox["0.04373329478371139`", "ep"]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0.0003068782726392228`", "\[InvisibleSpace]", "+", 
      FractionBox["6.349570860420702`*^-6", 
       SuperscriptBox["ep", "2"]], "+", 
      FractionBox["4.298197307072491`*^-6", "ep"]}], ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4398863480349503`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"the", " ", "exact", " ", "result", " ", "gives"}], " ", 
  "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B2exact", "=", 
  RowBox[{"0.8020271590855861", "-", 
   FractionBox["0.06499126289123033", 
    SuperscriptBox["ep", "2"]], "-", 
   FractionBox["0.04373329582236797", "ep"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"0.8020271590855861`", "\[InvisibleSpace]", "-", 
  FractionBox["0.06499126289123033`", 
   SuperscriptBox["ep", "2"]], "-", 
  FractionBox["0.04373329582236797`", "ep"]}]], "Output",
 CellChangeTimes->{3.439886353874001*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B2exact", "-", 
  RowBox[{"B2int", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.000017185368970107362`"}], "+", 
  FractionBox["1.712931246150573`*^-7", 
   SuperscriptBox["ep", "2"]], "-", 
  FractionBox["1.0386565774123113`*^-9", "ep"]}]], "Output",
 CellChangeTimes->{3.4398863548878508`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Analytic", " ", "continuation", " ", "in", " ", "two", " ", "variables"}], 
  " ", "*)"}]], "Input",
 CellChangeTimes->{{3.439886383669536*^9, 3.43988641664935*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B1num", "=", 
  RowBox[{"B1general", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "1"}], ",", 
     RowBox[{"a3", "\[Rule]", "1"}], ",", 
     RowBox[{"a4", "\[Rule]", "1"}], ",", 
     RowBox[{"a5", "\[Rule]", "1"}], ",", 
     RowBox[{"a6", "\[Rule]", "1"}], ",", 
     RowBox[{"a7", "\[Rule]", "1"}], ",", 
     RowBox[{"a8", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "eta"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.439886435910795*^9, 3.4398864441785707`*^9}, {
  3.439886505409433*^9, 3.439886505874836*^9}, {3.439886552407461*^9, 
  3.439886553786237*^9}, {3.439886668160863*^9, 3.43988666999853*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], 
     RowBox[{"6", "+", "eta"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "s"}], ")"}], 
     RowBox[{
      RowBox[{"-", "2"}], "-", 
      RowBox[{"2", " ", "ep"}], "-", "eta", "-", "z1", "-", "z5"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["t", "s"], ")"}], "w"], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "w"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "w"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z1"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "ep", "-", "w", "-", "z1", "-", "z2"}], "]"}], 
    " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "ep", "-", "w", "-", "z1", "-", "z3"}], "]"}], 
    " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "2"}], "-", 
      RowBox[{"2", " ", "ep"}], "-", 
      RowBox[{"2", " ", "w"}], "-", "z2", "-", "z3"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "ep"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "eta"}], ")"}]}], "+", "z2", "+", "z3"}], 
     "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "w", "-", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"2", "+", "ep", "+", "w", "+", "z1", "-", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "eta", "-", "z2", "-", "z3", "-", "z4"}], 
     "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "w"}], "-", "z2", "-", "z3", "-", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"z2", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"z3", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "w", "+", "z2", "+", "z3", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "-", "ep", "-", "eta", "+", "z2", "-", "z5"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "-", "ep", "-", "eta", "+", "z3", "-", "z5"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z5"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"ep", "+", "eta", "+", "z4", "+", "z5"}], "]"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "ep"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "2"}], "-", 
      RowBox[{"2", " ", "ep"}], "-", 
      RowBox[{"2", " ", "w"}], "-", 
      RowBox[{"2", " ", "z1"}], "-", "z2", "-", "z3"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"2", "-", 
      RowBox[{"2", " ", "ep"}], "-", "eta", "+", "w", "-", "z4"}], "]"}], " ",
     
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "eta", "-", "w", "-", "z2", "-", "z3", "-", 
      "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "z2", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "z3", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "ep"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "eta"}], ")"}]}], "+", "z2", "+", "z3", "-",
       
      RowBox[{"2", " ", "z5"}]}], "]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.439886445985421*^9, 3.439886506470889*^9, 
  3.439886554739237*^9, 3.439886670497705*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "without", " ", "the", " ", "analytic", " ", "regularization", " ", 
    "through", " ", "eta"}], ",", " ", 
   RowBox[{"there", " ", "are", " ", "no", " ", "valid", " ", "contours"}]}], 
  " ", "*)"}]], "Input",
 CellChangeTimes->{{3.439886579657251*^9, 3.439886597585668*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBoptimizedRules", "[", 
  RowBox[{
   RowBox[{"B1num", "/.", 
    RowBox[{"eta", "\[Rule]", "0"}]}], ",", 
   RowBox[{"ep", "\[Rule]", "0"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "ep", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.439886452718237*^9, 3.43988652039853*^9}, {
  3.439886573476923*^9, 3.439886575089787*^9}, {3.439886672367024*^9, 
  3.4398866953730373`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{{3.439886497446144*^9, 3.439886521413475*^9}, {
  3.439886556970807*^9, 3.439886575539115*^9}, {3.439886674866815*^9, 
  3.439886695798746*^9}}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{{3.439886466341186*^9, 3.439886524154044*^9}, {
  3.4398865582573357`*^9, 3.4398865755494757`*^9}, {3.439886674876216*^9, 
  3.439886695808951*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "MBcorrectContours", " ", "shifts", " ", "the", " ", "contours", " ", "to", 
   " ", "avoid", " ", "overlapping", " ", "poles", " ", "in", " ", "the", " ",
    "second", " ", "analytic", " ", "continuation"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.439886617970376*^9, 3.439886658590084*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B1numRules", "=", 
  RowBox[{"MBcorrectContours", "[", 
   RowBox[{
    RowBox[{"MBoptimizedRules", "[", 
     RowBox[{"B1num", ",", 
      RowBox[{"eta", "\[Rule]", "0"}], ",", 
      RowBox[{"{", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"ep", ",", "eta"}], "}"}]}], "]"}], ",", "10000"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.4398866849121637`*^9, 3.43988672649607*^9}, {
  3.439886871173459*^9, 3.439886876332738*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBresidues", "::", "\<\"contour\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"contour starts and/or ends on a pole of \
Gamma[\\!\\(\\(\\(-2\\)\\) - \\(\\(2\\\\ ep\\)\\) + \\(\\(2\\\\ eta\\)\\) - \
z2 - z3\\)]\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.439886700282317*^9, 3.439886727272073*^9}, 
   3.43988687753092*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{{3.439886700282317*^9, 3.439886727272073*^9}, 
   3.439886877871381*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{{3.439886700282317*^9, 3.439886727272073*^9}, 
   3.439886877930724*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{{3.439886700282317*^9, 3.439886727272073*^9}, 
   3.439886877944106*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Further output of \\!\\(MBrules :: \\\"norules\\\"\\) will \
be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.439886700282317*^9, 3.439886727272073*^9}, 
   3.439886877957349*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ep", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["1", "4"]}]}], ",", 
     RowBox[{"eta", "\[Rule]", 
      FractionBox["31", "64"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"w", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["104725", "418916"]}]}], ",", 
     RowBox[{"z1", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["104739", "418972"]}]}], ",", 
     RowBox[{"z2", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["523787", "838072"]}]}], ",", 
     RowBox[{"z3", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["2199949", "3352352"]}]}], ",", 
     RowBox[{"z4", "\[Rule]", 
      FractionBox["1152519", "1676368"]}], ",", 
     RowBox[{"z5", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["104715", "6705856"]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.439886701552861*^9, 3.4398867281088057`*^9}, 
   3.4398868784221697`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "first", " ", "analytic", " ", "continuation", " ", "in", " ", "eta"}], " ",
   "*)"}]], "Input",
 CellChangeTimes->{{3.439886714191008*^9, 3.439886724217144*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"B1numEta0", "=", 
   RowBox[{"MBmerge", "[", 
    RowBox[{"MBexpand", "[", 
     RowBox[{
      RowBox[{"MBcontinue", "[", 
       RowBox[{"B1num", ",", 
        RowBox[{"eta", "\[Rule]", "0"}], ",", "B1numRules"}], "]"}], ",", "1",
       ",", 
      RowBox[{"{", 
       RowBox[{"eta", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.439886734228397*^9, 3.439886799092945*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881071124*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "eta", "-", "z2", "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -1 + $CellContext`eta - $CellContext`z2 - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881110042*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881118889*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881126535*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "eta"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`w, " = ", -$CellContext`eta],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.4398868811343946`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "eta"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, 
   " = ", -1 + $CellContext`eta],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881141987*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "eta"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, 
   " = ", -1 + $CellContext`eta],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.4398868811924067`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "3"}],
  SequenceForm["Level ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881199904*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.4398868812069073`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], "-", 
    RowBox[{"2", " ", "ep"}], "+", 
    RowBox[{"2", " ", "eta"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -2 - 2 MB`ep + 
   2 $CellContext`eta - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881213916*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881267209*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "eta"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`w, " = ", -$CellContext`eta],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881274269*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "eta"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, 
   " = ", -1 + $CellContext`eta],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.4398868812810707`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881287401*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "eta"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`w, " = ", -$CellContext`eta],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881293798*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "4"}],
  SequenceForm["Level ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881348701*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881402266*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881455989*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {1, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881508625*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "eta"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`w, " = ", -$CellContext`eta],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.4398868815605288`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881612484*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "5"}],
  SequenceForm["Level ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.439886881663994*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.4398868817154293`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"10", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[10, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439886778109171*^9, 3.439886799593237*^9}, 
   3.43988688176689*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"second", " ", "analytic", " ", "continuation"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.43988686130659*^9, 3.439886865958001*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"B1numCont", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"MBcontinue", "[", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", 
       RowBox[{"ep", "\[Rule]", "0"}], ",", 
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "&"}], "/@", "B1numEta0"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.439886885908482*^9, 3.439886924073208*^9}, 
   3.439887142036862*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871436680517`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[1, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143701521*^9}],

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143713562*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[1, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.43988714371939*^9}],

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143725162*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871437308397`*^9}],

Cell[BoxData["\<\"...no contribution\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143736558*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z1"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 
   MB`ep - $CellContext`z1],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143742749*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871437886677`*^9}],

Cell[BoxData["\<\"...no contribution\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143792757*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -1 - 3 
   MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871437962914`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143814739*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143818799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "ep"}], "+", "z1"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, 
   " = ", (-2) MB`ep + $CellContext`z1],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143822562*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "2", "}"}]}],
  SequenceForm["Integral ", {2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871438263702`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "3"}],
  SequenceForm["Level ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143830295*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143833788*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"4", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[4, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143837117*^9}],

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143840583*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143843999*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z1"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 
   MB`ep - $CellContext`z1],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871438626003`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871438749733`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143886758*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "2", "}"}]}],
  SequenceForm["Integral ", {2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143898488*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"3", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[3, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.43988714391046*^9}],

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143934057*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[1, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143946705*^9}],

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143958458*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[1, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143970024*^9}],

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143981728*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z1"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 
   MB`ep - $CellContext`z1],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887143993607*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z1"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 
   MB`ep - $CellContext`z1],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144005571*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871440197697`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144031432*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "2", "}"}]}],
  SequenceForm["Integral ", {2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144043275*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"3", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[3, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144054977*^9}],

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144066675*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", 
    RowBox[{"2", " ", "w"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -2 - 2 MB`ep - 
   2 $CellContext`w - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144078149*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144089123*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144099803*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"2", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[2, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871441104927`*^9}],

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871441214743`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", 
    RowBox[{"2", " ", "w"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -2 - 2 MB`ep - 
   2 $CellContext`w - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144132642*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871441436577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144154475*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144165271*^9}],

Cell[BoxData["\<\"...no contribution\"\>"], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144176071*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "ep"}], "+", 
    RowBox[{"2", " ", "w"}], "+", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 2 + 2 MB`ep + 
   2 $CellContext`w + $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144192184*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "3"}],
  SequenceForm["Level ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144203309*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144214199*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144225081*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "4"}],
  SequenceForm["Level ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144239596*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.439887144254911*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"4", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[4, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439886926315613*^9, 3.4398871442701263`*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"B1numExp", "=", 
   RowBox[{"MBmerge", "[", 
    RowBox[{"MBexpand", "[", 
     RowBox[{"B1numCont", ",", 
      RowBox[{"Exp", "[", 
       RowBox[{"2", "ep", " ", "EulerGamma"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"ep", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.439887168879612*^9, 3.439887208378212*^9}, {
   3.439887685208273*^9, 3.43988768607052*^9}, 3.4398878879659758`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBintegrate", "[", 
  RowBox[{"B1numExp", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"s", "\[Rule]", 
      RowBox[{"-", "2"}]}], ",", 
     RowBox[{"t", "\[Rule]", 
      RowBox[{"-", "3"}]}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4398871846485147`*^9, 3.439887186490286*^9}, {
  3.4398873319593487`*^9, 3.4398873590258083`*^9}, {3.439887902475809*^9, 
  3.4398879042321033`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Shifting contours...\"\>"], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.4398879045190697`*^9}],

Cell["\<\
Performing 2 lower-dimensional integrations with NIntegrate...1...2\
\>", "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887927761993*^9}],

Cell[BoxData["\<\"Higher-dimensional integrals\"\>"], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.4398879281107492`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart1ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.4398879281181393`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart2ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887928626642*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart3ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887928881898*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart4ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887929743614*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart5ep-1", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887929964714*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart6ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart6ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.4398879301444607`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart7ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart7ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887930448264*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart8ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart8ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.4398879306123962`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>"}],
  SequenceForm["Running ", "MBpart1ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887930784712*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>"}],
  SequenceForm["Running ", "MBpart2ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.43988793580227*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>"}],
  SequenceForm["Running ", "MBpart3ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887938288364*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>"}],
  SequenceForm["Running ", "MBpart4ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.4398879385751143`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep-1\"\>"}],
  SequenceForm["Running ", "MBpart5ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887938705727*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart6ep-1\"\>"}],
  SequenceForm["Running ", "MBpart6ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.43988794030799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart7ep-1\"\>"}],
  SequenceForm["Running ", "MBpart7ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887940436358*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart8ep-2\"\>"}],
  SequenceForm["Running ", "MBpart8ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.439887350620838*^9, 3.4398873600359993`*^9}, 
   3.439887692301669*^9, 3.439887940513748*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "2.493137196437244`"}], "+", 
    FractionBox["0.2167979718167501`", 
     SuperscriptBox["ep", "2"]], "-", 
    FractionBox["0.19826080166305704`", "ep"]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0.0003439491198558347`", "\[InvisibleSpace]", "+", 
      FractionBox["0.00001944025332164384`", 
       SuperscriptBox["ep", "2"]], "+", 
      FractionBox["0.00004605676491223476`", "ep"]}], ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.439887186937478*^9, 3.439887209547945*^9}, {
   3.4398873542431917`*^9, 3.4398873632117662`*^9}, 3.439887730310149*^9, 
   3.439887940557279*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "comparison", " ", "with", " ", "the", " ", "result", " ", "for", " ", 
    "the", " ", "poles", " ", "from", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"G", ".", "Heinrich"}], " ", "and", " ", 
    RowBox[{"V", ".", "A", ".", "Smirnov"}]}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Phys", ".", "Lett", ".", "B598"}], " ", 
     RowBox[{"(", "2004", ")"}], " ", "55"}], "-", 
    RowBox[{"66", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(", 
      RowBox[{
      "the", " ", "paper", " ", "contains", " ", "the", " ", "full", " ", 
       "result", " ", "including", " ", "the", " ", "finite", " ", "part"}], 
      ")"}]}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.4398885097323303`*^9, 3.4398885196007223`*^9}, {
  3.439888549688826*^9, 3.439888608774857*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "^", "2"}], "/", 
       RowBox[{"s", "^", "2"}]}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"3", "/", "2"}], 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "x"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"1", "+", "x"}], ")"}]}], "]"}], "^", "2"}], "/", 
          RowBox[{"ep", "^", "2"}]}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"PolyLog", "[", 
            RowBox[{"3", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", "x"}], ")"}], "^", "2"}], "/", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", "x"}], ")"}], "^", "2"}]}]}], "]"}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", 
               RowBox[{"Log", "[", 
                RowBox[{"x", "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", "x"}], ")"}]}], "]"}]}], "+", 
              RowBox[{"2", 
               RowBox[{"Log", "[", "2", "]"}]}], "-", 
              RowBox[{"Log", "[", 
               RowBox[{"-", "s"}], "]"}]}], ")"}], 
            RowBox[{"PolyLog", "[", 
             RowBox[{"2", ",", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "-", "x"}], ")"}], "^", "2"}], "/", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", "x"}], ")"}], "^", "2"}]}]}], "]"}]}], "+",
            
           RowBox[{"2", 
            RowBox[{"Log", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", "x"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"1", "+", "x"}], ")"}]}], "]"}], 
            RowBox[{"PolyLog", "[", 
             RowBox[{"2", ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", "x"}], ")"}], "/", "2"}]}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"1", "/", "6"}], 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"1", "-", "x"}], "]"}], "^", "3"}]}], "+", 
           RowBox[{
            RowBox[{"3", "/", "2"}], 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"1", "-", "x"}], "]"}], "^", "2"}], 
            RowBox[{"Log", "[", 
             RowBox[{"1", "+", "x"}], "]"}]}], "-", 
           RowBox[{
            RowBox[{"5", "/", "2"}], 
            RowBox[{"Log", "[", 
             RowBox[{"1", "-", "x"}], "]"}], 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"1", "+", "x"}], "]"}], "^", "2"}]}], "+", 
           RowBox[{
            RowBox[{"5", "/", "6"}], 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"1", "+", "x"}], "]"}], "^", "3"}]}], "-", 
           RowBox[{"2", 
            RowBox[{"Log", "[", "2", "]"}], 
            RowBox[{"Log", "[", 
             RowBox[{"1", "-", "x"}], "]"}], 
            RowBox[{"Log", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", "x"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"1", "+", "x"}], ")"}]}], "]"}]}], "-", 
           RowBox[{
            RowBox[{
             RowBox[{"Pi", "^", "2"}], "/", "6"}], 
            RowBox[{"Log", "[", 
             RowBox[{"-", "s"}], "]"}]}], "-", 
           RowBox[{"2", 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", "x"}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"1", "+", "x"}], ")"}]}], "]"}], "^", "2"}], 
            RowBox[{"Log", "[", 
             RowBox[{"-", "t"}], "]"}]}], "-", 
           RowBox[{
            RowBox[{
             RowBox[{"Pi", "^", "2"}], "/", "6"}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", 
               RowBox[{"Log", "[", 
                RowBox[{"1", "-", "x"}], "]"}]}], "-", 
              RowBox[{"2", 
               RowBox[{"Log", "[", "x", "]"}]}], "-", 
              RowBox[{"Log", "[", 
               RowBox[{"1", "+", "x"}], "]"}]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{
             RowBox[{"Log", "[", "2", "]"}], "^", "2"}], 
            RowBox[{"Log", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", "x"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"1", "+", "x"}], ")"}]}], "]"}]}], "+", 
           RowBox[{
            RowBox[{
             RowBox[{"Pi", "^", "2"}], "/", "3"}], 
            RowBox[{"Log", "[", "2", "]"}]}], "-", 
           RowBox[{"Zeta", "[", "3", "]"}]}], ")"}], "/", "ep"}]}], ")"}]}], "/.",
      
     RowBox[{"x", "\[Rule]", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"1", "-", 
         RowBox[{"4", "/", "s"}]}], "]"}]}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "\[Rule]", 
       RowBox[{"-", "2"}]}], ",", 
      RowBox[{"t", "\[Rule]", 
       RowBox[{"-", "3"}]}]}], "}"}]}], "//", "Expand"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.439887440976079*^9, 3.439887530743498*^9}, {
  3.4398875826152678`*^9, 3.4398875858133707`*^9}, {3.439887974810142*^9, 
  3.439888269200385*^9}, {3.439888476432473*^9, 3.4398885031622877`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["0.21679726278407954`", 
   SuperscriptBox["ep", "2"]], "-", 
  FractionBox["0.19825397638414405`", "ep"]}]], "Output",
 CellChangeTimes->{{3.4398882518537903`*^9, 3.4398882695029*^9}, {
   3.4398884825422487`*^9, 3.4398885035908833`*^9}, 3.4398886526981993`*^9}]
}, Open  ]]
},
WindowSize->{704, 989},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"6.0 for Linux x86 (64-bit) (June 2, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 48, 1, 28, "Input"],
Cell[CellGroupData[{
Cell[663, 28, 82, 1, 21, "Print"],
Cell[748, 31, 91, 1, 21, "Print"],
Cell[842, 34, 109, 1, 21, "Print"],
Cell[954, 37, 105, 1, 21, "Print"],
Cell[1062, 40, 97, 1, 21, "Print"]
}, Open  ]]
}, Open  ]],
Cell[1186, 45, 509, 12, 63, "Input"],
Cell[1698, 59, 4415, 125, 267, "Input"],
Cell[CellGroupData[{
Cell[6138, 188, 455, 12, 28, "Input"],
Cell[6596, 202, 2955, 83, 168, "Output"]
}, Open  ]],
Cell[9566, 288, 130, 3, 28, "Input"],
Cell[CellGroupData[{
Cell[9721, 295, 221, 6, 28, "Input"],
Cell[9945, 303, 259, 6, 34, "Message"],
Cell[10207, 311, 252, 6, 20, "Message"],
Cell[10462, 319, 216, 6, 20, "Message"],
Cell[10681, 327, 216, 6, 20, "Message"],
Cell[10900, 335, 216, 6, 20, "Message"],
Cell[11119, 343, 451, 9, 34, "Message"],
Cell[11573, 354, 780, 26, 47, "Output"]
}, Open  ]],
Cell[12368, 383, 72, 1, 28, "Input"],
Cell[CellGroupData[{
Cell[12465, 388, 188, 6, 28, "Input"],
Cell[CellGroupData[{
Cell[12678, 398, 83, 1, 21, "Print"],
Cell[12764, 401, 556, 13, 21, "Print"],
Cell[13323, 416, 467, 11, 21, "Print"],
Cell[13793, 429, 192, 5, 21, "Print"],
Cell[13988, 436, 224, 6, 21, "Print"],
Cell[14215, 444, 479, 11, 21, "Print"],
Cell[14697, 457, 535, 12, 21, "Print"],
Cell[15235, 471, 222, 6, 21, "Print"],
Cell[15460, 479, 469, 11, 21, "Print"],
Cell[15932, 492, 444, 10, 21, "Print"],
Cell[16379, 504, 190, 5, 21, "Print"],
Cell[16572, 511, 249, 7, 21, "Print"],
Cell[16824, 520, 252, 7, 21, "Print"],
Cell[17079, 529, 500, 12, 21, "Print"],
Cell[17582, 543, 252, 7, 21, "Print"],
Cell[17837, 552, 442, 10, 21, "Print"],
Cell[18282, 564, 250, 7, 21, "Print"],
Cell[18535, 573, 419, 9, 21, "Print"],
Cell[18957, 584, 192, 5, 21, "Print"],
Cell[19152, 591, 263, 7, 21, "Print"],
Cell[19418, 600, 263, 7, 21, "Print"],
Cell[19684, 609, 419, 9, 21, "Print"],
Cell[20106, 620, 265, 7, 21, "Print"],
Cell[20374, 629, 192, 5, 21, "Print"],
Cell[20569, 636, 276, 7, 21, "Print"],
Cell[20848, 645, 216, 5, 21, "Print"]
}, Open  ]]
}, Open  ]],
Cell[21091, 654, 229, 5, 28, "Input"],
Cell[CellGroupData[{
Cell[21345, 663, 223, 6, 28, "Input"],
Cell[21571, 671, 14928, 418, 824, "Output"]
}, Open  ]],
Cell[36514, 1092, 332, 10, 28, "Input"],
Cell[36849, 1104, 172, 4, 28, "Input"],
Cell[CellGroupData[{
Cell[37046, 1112, 397, 11, 28, "Input"],
Cell[CellGroupData[{
Cell[37468, 1127, 219, 3, 21, "Print"],
Cell[37690, 1132, 243, 3, 21, "Print"],
Cell[37936, 1137, 227, 3, 21, "Print"],
Cell[38166, 1142, 474, 9, 21, "Print"],
Cell[38643, 1153, 474, 9, 21, "Print"],
Cell[39120, 1164, 474, 9, 21, "Print"],
Cell[39597, 1175, 474, 9, 21, "Print"],
Cell[40074, 1186, 478, 9, 21, "Print"],
Cell[40555, 1197, 476, 9, 21, "Print"],
Cell[41034, 1208, 478, 9, 21, "Print"],
Cell[41515, 1219, 347, 7, 21, "Print"],
Cell[41865, 1228, 345, 7, 21, "Print"],
Cell[42213, 1237, 345, 7, 21, "Print"],
Cell[42561, 1246, 345, 7, 21, "Print"],
Cell[42909, 1255, 347, 7, 21, "Print"],
Cell[43259, 1264, 347, 7, 21, "Print"],
Cell[43609, 1273, 347, 7, 21, "Print"]
}, Open  ]],
Cell[43971, 1283, 680, 16, 53, "Output"]
}, Open  ]],
Cell[44666, 1302, 122, 3, 28, "Input"],
Cell[CellGroupData[{
Cell[44813, 1309, 223, 5, 51, "Input"],
Cell[45039, 1316, 297, 6, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45373, 1327, 111, 3, 28, "Input"],
Cell[45487, 1332, 309, 6, 53, "Output"]
}, Open  ]],
Cell[45811, 1341, 581, 14, 80, "Input"],
Cell[46395, 1357, 5364, 149, 352, "Input"],
Cell[CellGroupData[{
Cell[51784, 1510, 455, 12, 28, "Input"],
Cell[52242, 1524, 3392, 96, 189, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55671, 1625, 221, 6, 28, "Input"],
Cell[55895, 1633, 344, 7, 34, "Message"],
Cell[56242, 1642, 262, 6, 34, "Message"],
Cell[56507, 1650, 288, 7, 20, "Message"],
Cell[56798, 1659, 456, 9, 34, "Message"],
Cell[57257, 1670, 216, 6, 20, "Message"],
Cell[57476, 1678, 218, 6, 20, "Message"],
Cell[57697, 1686, 216, 6, 20, "Message"],
Cell[57916, 1694, 449, 9, 34, "Message"],
Cell[58368, 1705, 817, 27, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59222, 1737, 188, 6, 28, "Input"],
Cell[CellGroupData[{
Cell[59435, 1747, 85, 1, 21, "Print"],
Cell[59523, 1750, 557, 13, 21, "Print"],
Cell[60083, 1765, 676, 16, 21, "Print"],
Cell[60762, 1783, 192, 5, 21, "Print"],
Cell[60957, 1790, 222, 6, 21, "Print"],
Cell[61182, 1798, 504, 12, 21, "Print"],
Cell[61689, 1812, 222, 6, 21, "Print"],
Cell[61914, 1820, 614, 14, 21, "Print"],
Cell[62531, 1836, 531, 12, 21, "Print"],
Cell[63065, 1850, 192, 5, 21, "Print"],
Cell[63260, 1857, 252, 7, 21, "Print"],
Cell[63515, 1866, 252, 7, 21, "Print"],
Cell[63770, 1875, 504, 12, 21, "Print"],
Cell[64277, 1889, 585, 14, 21, "Print"],
Cell[64865, 1905, 250, 7, 21, "Print"],
Cell[65118, 1914, 419, 9, 21, "Print"],
Cell[65540, 1925, 471, 11, 21, "Print"],
Cell[66014, 1938, 502, 12, 21, "Print"],
Cell[66519, 1952, 190, 5, 21, "Print"],
Cell[66712, 1959, 263, 7, 21, "Print"],
Cell[66978, 1968, 392, 7, 21, "Print"],
Cell[67373, 1977, 263, 7, 21, "Print"],
Cell[67639, 1986, 502, 12, 21, "Print"],
Cell[68144, 2000, 262, 7, 21, "Print"],
Cell[68409, 2009, 263, 7, 21, "Print"],
Cell[68675, 2018, 417, 9, 21, "Print"],
Cell[69095, 2029, 263, 7, 21, "Print"],
Cell[69361, 2038, 419, 9, 21, "Print"],
Cell[69783, 2049, 390, 7, 21, "Print"],
Cell[70176, 2058, 192, 5, 21, "Print"],
Cell[70371, 2065, 278, 7, 21, "Print"],
Cell[70652, 2074, 276, 7, 21, "Print"],
Cell[70931, 2083, 276, 7, 21, "Print"],
Cell[71210, 2092, 278, 7, 21, "Print"],
Cell[71491, 2101, 275, 7, 21, "Print"],
Cell[71769, 2110, 216, 5, 21, "Print"]
}, Open  ]]
}, Open  ]],
Cell[72012, 2119, 249, 8, 28, "Input"],
Cell[72264, 2129, 493, 16, 28, "Input"],
Cell[CellGroupData[{
Cell[72782, 2149, 282, 9, 28, "Input"],
Cell[CellGroupData[{
Cell[73089, 2162, 96, 1, 21, "Print"],
Cell[73188, 2165, 118, 1, 21, "Print"],
Cell[73309, 2168, 104, 1, 21, "Print"],
Cell[73416, 2171, 351, 7, 21, "Print"],
Cell[73770, 2180, 350, 7, 21, "Print"],
Cell[74123, 2189, 351, 7, 21, "Print"],
Cell[74477, 2198, 351, 7, 21, "Print"],
Cell[74831, 2207, 353, 7, 21, "Print"],
Cell[75187, 2216, 353, 7, 21, "Print"],
Cell[75543, 2225, 222, 5, 21, "Print"],
Cell[75768, 2232, 222, 5, 21, "Print"],
Cell[75993, 2239, 222, 5, 21, "Print"],
Cell[76218, 2246, 222, 5, 21, "Print"],
Cell[76443, 2253, 224, 5, 21, "Print"],
Cell[76670, 2260, 226, 5, 21, "Print"]
}, Open  ]],
Cell[76911, 2268, 556, 14, 53, "Output"]
}, Open  ]],
Cell[77482, 2285, 122, 3, 28, "Input"],
Cell[CellGroupData[{
Cell[77629, 2292, 213, 5, 51, "Input"],
Cell[77845, 2299, 248, 5, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78130, 2309, 111, 3, 28, "Input"],
Cell[78244, 2314, 257, 6, 53, "Output"]
}, Open  ]],
Cell[78516, 2323, 214, 5, 28, "Input"],
Cell[CellGroupData[{
Cell[78755, 2332, 721, 17, 28, "Input"],
Cell[79479, 2351, 3611, 104, 202, "Output"]
}, Open  ]],
Cell[83105, 2458, 339, 8, 46, "Input"],
Cell[CellGroupData[{
Cell[83469, 2470, 414, 10, 28, "Input"],
Cell[83886, 2482, 345, 8, 23, "Message"],
Cell[84234, 2492, 213, 4, 28, "Output"]
}, Open  ]],
Cell[84462, 2499, 346, 6, 46, "Input"],
Cell[CellGroupData[{
Cell[84833, 2509, 460, 12, 46, "Input"],
Cell[85296, 2523, 355, 8, 23, "Message"],
Cell[85654, 2533, 273, 7, 23, "Message"],
Cell[85930, 2542, 273, 7, 23, "Message"],
Cell[86206, 2551, 273, 7, 23, "Message"],
Cell[86482, 2560, 508, 10, 23, "Message"],
Cell[86993, 2572, 976, 30, 84, "Output"]
}, Open  ]],
Cell[87984, 2605, 211, 5, 28, "Input"],
Cell[CellGroupData[{
Cell[88220, 2614, 455, 13, 28, "Input"],
Cell[CellGroupData[{
Cell[88700, 2631, 133, 2, 21, "Print"],
Cell[88836, 2635, 566, 12, 21, "Print"],
Cell[89405, 2649, 240, 6, 21, "Print"],
Cell[89648, 2657, 272, 7, 21, "Print"],
Cell[89923, 2666, 475, 10, 21, "Print"],
Cell[90401, 2678, 508, 12, 21, "Print"],
Cell[90912, 2692, 510, 12, 21, "Print"],
Cell[91425, 2706, 240, 6, 21, "Print"],
Cell[91668, 2714, 302, 8, 21, "Print"],
Cell[91973, 2724, 610, 14, 21, "Print"],
Cell[92586, 2740, 300, 8, 21, "Print"],
Cell[92889, 2750, 473, 10, 21, "Print"],
Cell[93365, 2762, 510, 12, 21, "Print"],
Cell[93878, 2776, 300, 8, 21, "Print"],
Cell[94181, 2786, 473, 10, 21, "Print"],
Cell[94657, 2798, 240, 6, 21, "Print"],
Cell[94900, 2806, 313, 8, 21, "Print"],
Cell[95216, 2816, 313, 8, 21, "Print"],
Cell[95532, 2826, 313, 8, 21, "Print"],
Cell[95848, 2836, 475, 10, 21, "Print"],
Cell[96326, 2848, 313, 8, 21, "Print"],
Cell[96642, 2858, 240, 6, 21, "Print"],
Cell[96885, 2866, 328, 8, 21, "Print"],
Cell[97216, 2876, 265, 6, 21, "Print"]
}, Open  ]]
}, Open  ]],
Cell[97508, 2886, 185, 4, 28, "Input"],
Cell[CellGroupData[{
Cell[97718, 2894, 459, 14, 28, "Input"],
Cell[CellGroupData[{
Cell[98202, 2912, 107, 1, 21, "Print"],
Cell[98312, 2915, 236, 5, 21, "Print"],
Cell[98551, 2922, 105, 1, 21, "Print"],
Cell[98659, 2925, 235, 5, 21, "Print"],
Cell[98897, 2932, 105, 1, 21, "Print"],
Cell[99005, 2935, 493, 11, 21, "Print"],
Cell[99501, 2948, 116, 1, 21, "Print"],
Cell[99620, 2951, 497, 11, 21, "Print"],
Cell[100120, 2964, 493, 11, 21, "Print"],
Cell[100616, 2977, 116, 1, 21, "Print"],
Cell[100735, 2980, 526, 12, 21, "Print"],
Cell[101264, 2994, 212, 5, 21, "Print"],
Cell[101479, 3001, 244, 6, 21, "Print"],
Cell[101726, 3009, 513, 12, 21, "Print"],
Cell[102242, 3023, 246, 6, 21, "Print"],
Cell[102491, 3031, 212, 5, 21, "Print"],
Cell[102706, 3038, 272, 7, 21, "Print"],
Cell[102981, 3047, 236, 5, 21, "Print"],
Cell[103220, 3054, 105, 1, 21, "Print"],
Cell[103328, 3057, 491, 11, 21, "Print"],
Cell[103822, 3070, 499, 11, 21, "Print"],
Cell[104324, 3083, 214, 5, 21, "Print"],
Cell[104541, 3090, 244, 6, 21, "Print"],
Cell[104788, 3098, 244, 6, 21, "Print"],
Cell[105035, 3106, 235, 5, 21, "Print"],
Cell[105273, 3113, 105, 1, 21, "Print"],
Cell[105381, 3116, 236, 5, 21, "Print"],
Cell[105620, 3123, 105, 1, 21, "Print"],
Cell[105728, 3126, 236, 5, 21, "Print"],
Cell[105967, 3133, 105, 1, 21, "Print"],
Cell[106075, 3136, 497, 11, 21, "Print"],
Cell[106575, 3149, 497, 11, 21, "Print"],
Cell[107075, 3162, 214, 5, 21, "Print"],
Cell[107292, 3169, 244, 6, 21, "Print"],
Cell[107539, 3177, 244, 6, 21, "Print"],
Cell[107786, 3185, 236, 5, 21, "Print"],
Cell[108025, 3192, 105, 1, 21, "Print"],
Cell[108133, 3195, 578, 13, 21, "Print"],
Cell[108714, 3210, 212, 5, 21, "Print"],
Cell[108929, 3217, 244, 6, 21, "Print"],
Cell[109176, 3225, 238, 5, 21, "Print"],
Cell[109417, 3232, 107, 1, 21, "Print"],
Cell[109527, 3235, 578, 13, 21, "Print"],
Cell[110108, 3250, 214, 5, 21, "Print"],
Cell[110325, 3257, 244, 6, 21, "Print"],
Cell[110572, 3265, 501, 11, 21, "Print"],
Cell[111076, 3278, 116, 1, 21, "Print"],
Cell[111195, 3281, 557, 12, 21, "Print"],
Cell[111755, 3295, 212, 5, 21, "Print"],
Cell[111970, 3302, 272, 7, 21, "Print"],
Cell[112245, 3311, 522, 12, 21, "Print"],
Cell[112770, 3325, 212, 5, 21, "Print"],
Cell[112985, 3332, 285, 7, 21, "Print"],
Cell[113273, 3341, 238, 5, 21, "Print"]
}, Open  ]]
}, Open  ]],
Cell[113538, 3350, 475, 12, 28, "Input"],
Cell[CellGroupData[{
Cell[114038, 3366, 423, 11, 28, "Input"],
Cell[CellGroupData[{
Cell[114486, 3381, 172, 2, 21, "Print"],
Cell[114661, 3385, 208, 4, 21, "Print"],
Cell[114872, 3391, 180, 2, 21, "Print"],
Cell[115055, 3395, 427, 8, 21, "Print"],
Cell[115485, 3405, 425, 8, 21, "Print"],
Cell[115913, 3415, 425, 8, 21, "Print"],
Cell[116341, 3425, 425, 8, 21, "Print"],
Cell[116769, 3435, 427, 8, 21, "Print"],
Cell[117199, 3445, 429, 8, 21, "Print"],
Cell[117631, 3455, 427, 8, 21, "Print"],
Cell[118061, 3465, 429, 8, 21, "Print"],
Cell[118493, 3475, 296, 6, 21, "Print"],
Cell[118792, 3483, 295, 6, 21, "Print"],
Cell[119090, 3491, 296, 6, 21, "Print"],
Cell[119389, 3499, 298, 6, 21, "Print"],
Cell[119690, 3507, 298, 6, 21, "Print"],
Cell[119991, 3515, 297, 6, 21, "Print"],
Cell[120291, 3523, 298, 6, 21, "Print"],
Cell[120592, 3531, 298, 6, 21, "Print"]
}, Open  ]],
Cell[120905, 3540, 679, 17, 51, "Output"]
}, Open  ]],
Cell[121599, 3560, 874, 20, 97, "Input"],
Cell[CellGroupData[{
Cell[122498, 3584, 5589, 158, 182, "Input"],
Cell[128090, 3744, 301, 6, 51, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

