(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    358920,      10152]
NotebookOptionsPosition[    322661,       9234]
NotebookOutlinePosition[    322991,       9249]
CellTagsIndexPosition[    322948,       9246]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"<<", "MB.m"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"MB 1.2\"\>"], "Print",
 CellChangeTimes->{3.439889040891452*^9}],

Cell[BoxData["\<\"by Michal Czakon\"\>"], "Print",
 CellChangeTimes->{3.43988904091532*^9}],

Cell[BoxData["\<\"improvements by Alexander Smirnov\"\>"], "Print",
 CellChangeTimes->{3.439889040928418*^9}],

Cell[BoxData["\<\"more info in hep-ph/0511200\"\>"], "Print",
 CellChangeTimes->{3.439889040941484*^9}],

Cell[BoxData["\<\"last modified 2 Jan 08\"\>"], "Print",
 CellChangeTimes->{3.439889040953857*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Two", "-", 
    RowBox[{
    "loop", " ", "massless", " ", "onshell", " ", "nonplanar", " ", "box", 
     " ", 
     RowBox[{"integral", ".", " ", "MB"}], " ", "representation", " ", 
     RowBox[{"from", ":", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"J", ".", "B", ".", " ", "Tausk"}]}]}]}], ",", " ", 
   RowBox[{
    RowBox[{"Phys", ".", "Lett", ".", "B469"}], " ", 
    RowBox[{"(", "1999", ")"}], " ", "225"}]}], " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NP", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "ep"}], "]"}], "^", "2"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{
        RowBox[{"-", "2"}], "ep"}], "]"}], 
      RowBox[{"Gamma", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"3", "ep"}]}], "]"}]}], ")"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"-", "s"}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "3"}], "-", 
      RowBox[{"2", "ep"}], "-", "xi1", "-", "xi2"}], ")"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"-", "t"}], ")"}], "^", "xi1"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"-", "u"}], ")"}], "^", "xi2"}], " ", 
   RowBox[{"Gamma", "[", 
    RowBox[{"3", "+", 
     RowBox[{"2", "ep"}], "+", "al", "+", "be", "+", "xi1", "+", "xi2"}], 
    "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"2", "+", "ep", "+", "al", "+", "be", "+", "xi1", "+", "xi2"}], 
    "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"1", "+", "xi1", "+", "xi2"}], "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"1", "+", "al", "+", "xi1"}], "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"1", "+", "al", "+", "xi2"}], "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"1", "+", "be", "+", "xi1"}], "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"1", "+", "be", "+", "xi2"}], "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{
     RowBox[{"-", "2"}], "-", 
     RowBox[{"2", "ep"}], "-", "al", "-", "xi1", "-", "xi2"}], "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{
     RowBox[{"-", "2"}], "-", 
     RowBox[{"2", "ep"}], "-", "be", "-", "xi1", "-", "xi2"}], "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"-", "al"}], "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"-", "be"}], "]"}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"-", "xi1"}], "]"}], 
   RowBox[{
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "xi2"}], "]"}], "/", 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{"2", "+", "al", "+", "be", "+", "xi1", "+", "xi2"}], "]"}], "^",
      "2"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "s"}], ")"}], 
     RowBox[{
      RowBox[{"-", "3"}], "-", 
      RowBox[{"2", " ", "ep"}], "-", "xi1", "-", "xi2"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "t"}], ")"}], "xi1"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "u"}], ")"}], "xi2"], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "al"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "be"}], "]"}], " ", 
    SuperscriptBox[
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "ep"}], "]"}], "2"], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "xi1"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "al", "+", "xi1"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "be", "+", "xi1"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "2"}], "-", "al", "-", 
      RowBox[{"2", " ", "ep"}], "-", "xi1", "-", "xi2"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "2"}], "-", "be", "-", 
      RowBox[{"2", " ", "ep"}], "-", "xi1", "-", "xi2"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "xi2"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "al", "+", "xi2"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "be", "+", "xi2"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "xi1", "+", "xi2"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"2", "+", "al", "+", "be", "+", "ep", "+", "xi1", "+", "xi2"}], 
     "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"3", "+", "al", "+", "be", "+", 
      RowBox[{"2", " ", "ep"}], "+", "xi1", "+", "xi2"}], "]"}]}], ")"}], "/",
   
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"3", " ", "ep"}]}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "ep"}], "]"}], " ", 
    SuperscriptBox[
     RowBox[{"Gamma", "[", 
      RowBox[{"2", "+", "al", "+", "be", "+", "xi1", "+", "xi2"}], "]"}], 
     "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.439889041098819*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NPrules", "=", 
  RowBox[{"MBoptimizedRules", "[", 
   RowBox[{"NP", ",", 
    RowBox[{"ep", "\[Rule]", "0"}], ",", 
    RowBox[{"{", "}"}], ",", 
    RowBox[{"{", "ep", "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.439889041641636*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.4398890417447987`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.439889041766618*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Further output of \\!\\(MBrules :: \\\"norules\\\"\\) will \
be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message",
 CellChangeTimes->{3.4398890418800592`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ep", "\[Rule]", 
     RowBox[{"-", 
      FractionBox["443", "768"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"al", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["31", "96"]}]}], ",", 
     RowBox[{"be", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["7", "192"]}]}], ",", 
     RowBox[{"xi1", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["41", "96"]}]}], ",", 
     RowBox[{"xi2", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["53", "96"]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.439889042023635*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"NPcont", "=", 
   RowBox[{"MBcontinue", "[", 
    RowBox[{"NP", ",", 
     RowBox[{"ep", "\[Rule]", "0"}], ",", "NPrules"}], "]"}]}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.439889042137227*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], "-", "al", "-", 
    RowBox[{"2", " ", "ep"}], "-", "xi1"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi2, 
   " = ", -2 - $CellContext`al - 2 MB`ep - $CellContext`xi1],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042148561*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], "-", "be", "-", 
    RowBox[{"2", " ", "ep"}], "-", "xi1"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi2, 
   " = ", -2 - $CellContext`be - 2 MB`ep - $CellContext`xi1],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042158825*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042208435*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042216242*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "al", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`al, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042223793*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988904227171*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi1, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890423174267`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "al", "+", "be", "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi1, 
   " = ", -1 - $CellContext`al + $CellContext`be - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042362537*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "2", "}"}]}],
  SequenceForm["Integral ", {2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042407897*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`be, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042452876*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "al", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`al, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042498104*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi1, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890425432167`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "al", "-", "be", "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi1, 
   " = ", -1 + $CellContext`al - $CellContext`be - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890425881147`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "3"}],
  SequenceForm["Level ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042633587*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890426796083`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042725464*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi1, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042771222*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`xi1, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042817645*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042863944*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890429100943`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "al", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`al, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889042957224*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043038476*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {1, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890430843077`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043130282*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043177677*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "al", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`al, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890432252693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "al", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`al, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043273634*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi1, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043320984*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`xi1, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988904336693*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043412664*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043458355*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi1, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890435039787`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890435506763`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`be, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043596573*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043642523*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2", " ", "al"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`be, " = ", 2 $CellContext`al - 
   2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043687196*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "al", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`al, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043730945*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "4"}],
  SequenceForm["Level ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043774431*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043852353*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890438988457`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043943554*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {1, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889043988257*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044032769*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044077364*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044122097*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`be, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044166527*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {1, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890442108603`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988904425529*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890442995577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi1, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044344141*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`xi1, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044389316*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890444523993`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`xi1, " = ", -1 - 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988904450113*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "xi1", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`xi1, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044545841*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044590534*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890446351624`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890447144623`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890447594643`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`be, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890448043203`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890448489437`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890448934183`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044937543*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "al", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`al, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889044982294*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988904502634*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "be", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`be, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890450709352`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "5"}],
  SequenceForm["Level ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890451151123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398890451593523`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045203979*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 3, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045248498*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {1, 3, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045293147*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988904533731*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045382141*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045426161*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045504178*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045549225*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045594379*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045638294*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045682382*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"38", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[38, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889045726631*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"NPexp", "=", 
   RowBox[{"MBmerge", "[", 
    RowBox[{"MBexpand", "[", 
     RowBox[{"NPcont", ",", 
      RowBox[{"1", "/", 
       RowBox[{"Gamma", "[", 
        RowBox[{"3", "+", 
         RowBox[{"2", "ep"}]}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"ep", ",", "0", ",", 
        RowBox[{"-", "2"}]}], "}"}]}], "]"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "application", " ", "of", " ", "the", " ", "first", " ", "Barnes", " ", 
   "lemma", " ", "after", " ", "splitting", " ", "the", " ", "integrals", " ",
    "by", " ", "linearity"}], " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBmerge", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"NPexp", "/.", 
      RowBox[{
       RowBox[{"MBint", "[", 
        RowBox[{"i_", ",", 
         RowBox[{"{", 
          RowBox[{"a_", ",", 
           RowBox[{"{", 
            RowBox[{"z_", "\[Rule]", "x_"}], "}"}]}], "}"}]}], "]"}], ":>", 
       RowBox[{"MBint", "[", 
        RowBox[{
         RowBox[{"Expand", "[", "i", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"a", ",", 
           RowBox[{"{", 
            RowBox[{"z", "\[Rule]", "x"}], "}"}]}], "}"}]}], "]"}]}]}], "//.",
      
     RowBox[{
      RowBox[{"MBint", "[", 
       RowBox[{
        RowBox[{"i1_", "+", "i2_"}], ",", 
        RowBox[{"{", 
         RowBox[{"a_", ",", 
          RowBox[{"{", 
           RowBox[{"z_", "\[Rule]", "x_"}], "}"}]}], "}"}]}], "]"}], 
      "\[RuleDelayed]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"MBint", "[", 
         RowBox[{"i1", ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", 
            RowBox[{"{", 
             RowBox[{"z", "\[Rule]", "x"}], "}"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"MBint", "[", 
         RowBox[{"i2", ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", 
            RowBox[{"{", 
             RowBox[{"z", "\[Rule]", "x"}], "}"}]}], "}"}]}], "]"}]}], 
       "}"}]}]}], "]"}], "/.", 
   RowBox[{
    RowBox[{"MBint", "[", 
     RowBox[{"i_", ",", 
      RowBox[{"{", 
       RowBox[{"a_", ",", 
        RowBox[{"{", 
         RowBox[{"z_", "\[Rule]", "x_"}], "}"}]}], "}"}]}], "]"}], 
    "\[RuleDelayed]", 
    RowBox[{"Barnes1", "[", 
     RowBox[{
      RowBox[{"MBint", "[", 
       RowBox[{"i", ",", 
        RowBox[{"{", 
         RowBox[{"a", ",", 
          RowBox[{"{", 
           RowBox[{"z", "\[Rule]", "x"}], "}"}]}], "}"}]}], "]"}], ",", "z"}],
      "]"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"MBint", "[", 
   RowBox[{
    RowBox[{
     FractionBox["1", 
      RowBox[{"24", " ", 
       SuperscriptBox["ep", "4"], " ", 
       SuperscriptBox["s", "2"], " ", "t", " ", "u"}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "30"}], " ", "s"}], "+", 
       RowBox[{"72", " ", "ep", " ", "s"}], "-", 
       RowBox[{"84", " ", 
        SuperscriptBox["ep", "2"], " ", "s"}], "+", 
       RowBox[{"31", " ", 
        SuperscriptBox["ep", "2"], " ", 
        SuperscriptBox["\[Pi]", "2"], " ", "s"}], "-", 
       RowBox[{"6", " ", "t"}], "+", 
       RowBox[{"84", " ", 
        SuperscriptBox["ep", "2"], " ", "t"}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["ep", "2"], " ", 
        SuperscriptBox["\[Pi]", "2"], " ", "t"}], "-", 
       RowBox[{"6", " ", "u"}], "+", 
       RowBox[{"84", " ", 
        SuperscriptBox["ep", "2"], " ", "u"}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["ep", "2"], " ", 
        SuperscriptBox["\[Pi]", "2"], " ", "u"}], "+", 
       RowBox[{"12", " ", 
        SuperscriptBox["ep", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"s", "-", "t", "-", "u"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"Log", "[", 
          RowBox[{"-", "s"}], "]"}], "2"]}], "-", 
       RowBox[{"12", " ", 
        SuperscriptBox["ep", "2"], " ", "s", " ", 
        SuperscriptBox[
         RowBox[{"Log", "[", 
          RowBox[{"-", "t"}], "]"}], "2"]}], "+", 
       RowBox[{"36", " ", "ep", " ", "s", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"-", "u"}], "]"}]}], "-", 
       RowBox[{"72", " ", 
        SuperscriptBox["ep", "2"], " ", "s", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"-", "u"}], "]"}]}], "+", 
       RowBox[{"6", " ", "ep", " ", "t", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"-", "u"}], "]"}]}], "+", 
       RowBox[{"18", " ", 
        SuperscriptBox["ep", "2"], " ", "t", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"-", "u"}], "]"}]}], "-", 
       RowBox[{"6", " ", "ep", " ", "u", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"-", "u"}], "]"}]}], "-", 
       RowBox[{"18", " ", 
        SuperscriptBox["ep", "2"], " ", "u", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"-", "u"}], "]"}]}], "-", 
       RowBox[{"12", " ", 
        SuperscriptBox["ep", "2"], " ", "s", " ", 
        SuperscriptBox[
         RowBox[{"Log", "[", 
          RowBox[{"-", "u"}], "]"}], "2"]}], "-", 
       RowBox[{"6", " ", "ep", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"-", "t"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"6", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "ep"}]}], ")"}], " ", "s"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"3", " ", "ep"}]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"t", "-", "u"}], ")"}]}], "+", 
          RowBox[{"8", " ", "ep", " ", "s", " ", 
           RowBox[{"Log", "[", 
            RowBox[{"-", "u"}], "]"}]}]}], ")"}]}], "+", 
       RowBox[{"12", " ", "ep", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"-", "s"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "s"}], "+", "t", "+", "u", "+", 
          RowBox[{"ep", " ", 
           RowBox[{"(", 
            RowBox[{"t", "-", "u"}], ")"}], " ", 
           RowBox[{"Log", "[", 
            RowBox[{"-", "t"}], "]"}]}], "+", 
          RowBox[{"ep", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "t"}], "+", "u"}], ")"}], " ", 
           RowBox[{"Log", "[", 
            RowBox[{"-", "u"}], "]"}]}]}], ")"}]}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ep", "\[Rule]", "0"}], "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}]}], "]"}], "}"}]], "Output",
 CellChangeTimes->{3.439889046942238*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"%", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "\[Rule]", 
       RowBox[{"-", "1"}]}], ",", 
      RowBox[{"t", "\[Rule]", 
       RowBox[{"-", "1"}]}], ",", 
      RowBox[{"u", "\[Rule]", 
       RowBox[{"-", "1"}]}]}], "}"}]}], ",", "ep", ",", "Expand"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["7", 
   RowBox[{"4", " ", 
    SuperscriptBox["ep", "4"]}]], "-", 
  FractionBox["3", 
   SuperscriptBox["ep", "3"]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox["7", "2"]}], "-", 
    FractionBox[
     RowBox[{"47", " ", 
      SuperscriptBox["\[Pi]", "2"]}], "24"]}], 
   SuperscriptBox["ep", "2"]]}]], "Output",
 CellChangeTimes->{3.439889046995083*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "numerical", " ", "integration", " ", "down", " ", "to", " ", "the", " ", 
   "finite", " ", "part"}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"NPexp", "=", 
   RowBox[{"MBmerge", "[", 
    RowBox[{"MBexpand", "[", 
     RowBox[{"NPcont", ",", 
      RowBox[{
       RowBox[{"s", "^", 
        RowBox[{"(", 
         RowBox[{"2", "ep"}], ")"}]}], "/", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", "ep"}], "]"}], "^", "2"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"ep", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBintegrate", "[", 
  RowBox[{"NPexp", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"s", "\[Rule]", 
      RowBox[{"2", "+", 
       RowBox[{"I", " ", 
        RowBox[{"10", "^", 
         RowBox[{"-", "10"}]}]}]}]}], ",", 
     RowBox[{"t", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "3"}]}], ",", 
     RowBox[{"u", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "5"}], "/", "3"}]}]}], "}"}], ",", 
   RowBox[{"Complex", "\[Rule]", "True"}]}], "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Shifting contours...\"\>"], "Print",
 CellChangeTimes->{3.439889064388796*^9}],

Cell["\<\
Performing 8 lower-dimensional integrations with \
NIntegrate...1...2...3...4...5...6...7...8\
\>", "Print",
 CellChangeTimes->{3.43988909747897*^9}],

Cell[BoxData["\<\"Higher-dimensional integrals\"\>"], "Print",
 CellChangeTimes->{3.43988910656706*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart1ep0", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889106609858*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart2ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889107522438*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart3ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889108241723*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart4ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891084345837`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart5ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889108602829*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>"}],
  SequenceForm["Running ", "MBpart1ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891090024242`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>"}],
  SequenceForm["Running ", "MBpart2ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889121223021*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>"}],
  SequenceForm["Running ", "MBpart3ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889125675034*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>"}],
  SequenceForm["Running ", "MBpart4ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889126929377*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep0\"\>"}],
  SequenceForm["Running ", "MBpart5ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889128199428*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"305.66525537728637`", "\[InvisibleSpace]", "-", 
      RowBox[{"738.8788494821366`", " ", "\[ImaginaryI]"}]}], ")"}], "-", 
    FractionBox[
     RowBox[{"1.7999999999999998`", "\[InvisibleSpace]", "-", 
      RowBox[{"6.75`*^-11", " ", "\[ImaginaryI]"}]}], 
     SuperscriptBox["ep", "4"]], "-", 
    FractionBox[
     RowBox[{"4.847187396105082`", "\[InvisibleSpace]", "-", 
      RowBox[{"5.654866776342344`", " ", "\[ImaginaryI]"}]}], 
     SuperscriptBox["ep", "3"]], "-", 
    FractionBox[
     RowBox[{"10.229445960774877`", "\[InvisibleSpace]", "-", 
      RowBox[{"19.998319323188834`", " ", "\[ImaginaryI]"}]}], 
     SuperscriptBox["ep", "2"]], "+", 
    FractionBox[
     RowBox[{"27.389529390777874`", "\[InvisibleSpace]", "-", 
      RowBox[{"180.5354595390153`", " ", "\[ImaginaryI]"}]}], "ep"]}], ",", 
   RowBox[{"{", 
    RowBox[{"0.010592632278234423`", ",", "0.008506646338240036`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.439889128803179*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"the", " ", "exact", " ", "result", " ", "gives"}], " ", 
  "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NPexact", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"305.665498021346", "\[InvisibleSpace]", "-", 
     RowBox[{"738.878871854748", " ", "\[ImaginaryI]"}]}], ")"}], "-", 
   FractionBox["1.8", 
    SuperscriptBox["ep", "4"]], "-", 
   FractionBox[
    RowBox[{"4.847187396529195", "-", 
     RowBox[{"5.654866776461628", " ", "\[ImaginaryI]"}]}], 
    SuperscriptBox["ep", "3"]], "-", 
   FractionBox[
    RowBox[{"10.229445962350598", "\[InvisibleSpace]", "-", 
     RowBox[{"19.998319322651998", " ", "\[ImaginaryI]"}]}], 
    SuperscriptBox["ep", "2"]], "+", 
   FractionBox[
    RowBox[{"27.38952940263692", "\[InvisibleSpace]", "-", 
     RowBox[{"180.53545954035945", " ", "\[ImaginaryI]"}]}], 
    "ep"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"305.665498021346`", "\[InvisibleSpace]", "-", 
    RowBox[{"738.878871854748`", " ", "\[ImaginaryI]"}]}], ")"}], "-", 
  FractionBox["1.8`", 
   SuperscriptBox["ep", "4"]], "-", 
  FractionBox[
   RowBox[{"4.847187396529195`", "\[InvisibleSpace]", "-", 
    RowBox[{"5.654866776461628`", " ", "\[ImaginaryI]"}]}], 
   SuperscriptBox["ep", "3"]], "-", 
  FractionBox[
   RowBox[{"10.229445962350598`", "\[InvisibleSpace]", "-", 
    RowBox[{"19.998319322651998`", " ", "\[ImaginaryI]"}]}], 
   SuperscriptBox["ep", "2"]], "+", 
  FractionBox[
   RowBox[{"27.38952940263692`", "\[InvisibleSpace]", "-", 
    RowBox[{"180.53545954035945`", " ", "\[ImaginaryI]"}]}], 
   "ep"]}]], "Output",
 CellChangeTimes->{3.4398891289216146`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Massless", " ", "onshell", " ", "triplebox", " ", 
    RowBox[{"integral", ".", " ", "MB"}], " ", "representation", " ", 
    RowBox[{"form", ":", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"V", ".", "A", ".", " ", "Smirnov"}]}]}], ",", " ", 
   RowBox[{
    RowBox[{"Phys", ".", "Lett", ".", "B567"}], " ", 
    RowBox[{"(", "2003", ")"}], " ", "193"}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tgeneral", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", "a"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", "a2", "]"}], 
        RowBox[{"Gamma", "[", "a5", "]"}], 
        RowBox[{"Gamma", "[", "a7", "]"}], 
        RowBox[{"Gamma", "[", "a8", "]"}], 
        RowBox[{"Gamma", "[", "a9", "]"}], 
        RowBox[{"Gamma", "[", "a10", "]"}], 
        RowBox[{"Gamma", "[", 
         RowBox[{"4", "-", "a5", "-", "a8", "-", "a9", "-", "a10", "-", 
          RowBox[{"2", "ep"}]}], "]"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"-", "s"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"a", "-", "6", "+", 
           RowBox[{"3", "ep"}]}], ")"}]}]}], ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"t", "/", "s"}], ")"}], "^", "w"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"a2", "+", "w"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "w"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"z2", "+", "z4"}], "]"}], 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"z3", "+", "z4"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"a1", "+", "z3", "+", "z4"}], "]"}], 
        RowBox[{"Gamma", "[", 
         RowBox[{"a3", "+", "z2", "+", "z4"}], "]"}]}], ")"}]}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"2", "-", "a1", "-", "a2", "-", "ep", "+", "z2"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"2", "-", "a2", "-", "a3", "-", "ep", "+", "z3"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"a7", "+", "w", "-", "z4"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z5"}], "]"}], 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"-", "z6"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"4", "-", "a1", "-", "a2", "-", "a3", "-", 
          RowBox[{"2", "ep"}], "+", "w", "-", "z4"}], "]"}], 
        RowBox[{"Gamma", "[", 
         RowBox[{"a6", "-", "z5"}], "]"}], 
        RowBox[{"Gamma", "[", 
         RowBox[{"a4", "-", "z6"}], "]"}]}], ")"}]}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"a1", "+", "a2", "+", "a3", "-", "2", "+", "ep", "+", "z4"}], 
      "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"w", "+", "z2", "+", "z3", "+", "z4", "-", "z7"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{
      "2", "-", "a5", "-", "a9", "-", "a10", "-", "ep", "-", "z5", "-", 
       "z7"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{
      "2", "-", "a5", "-", "a8", "-", "a9", "-", "ep", "-", "z6", "-", "z7"}],
       "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{
      "a4", "+", "a6", "+", "a7", "-", "2", "+", "ep", "+", "w", "-", "z4", 
       "-", "z5", "-", "z6", "-", "z7"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"a9", "+", "z7"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"a5", "+", "z5", "+", "z6", "+", "z7"}], "]"}], 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{
        RowBox[{"-", "z2"}], "-", "z3", "-", "z4"}], "]"}], "/", 
      RowBox[{"Gamma", "[", 
       RowBox[{"4", "-", "a4", "-", "a6", "-", "a7", "-", 
        RowBox[{"2", "ep"}], "+", "z5", "+", "z6", "+", "z7"}], "]"}]}], 
     RowBox[{"Gamma", "[", 
      RowBox[{
      "a5", "+", "a8", "+", "a9", "+", "a10", "-", "2", "+", "ep", "+", "z5", 
       "+", "z6", "+", "z7"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{
      "2", "-", "a6", "-", "a7", "-", "ep", "-", "w", "-", "z2", "+", "z5", 
       "+", "z7"}], "]"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{
      "2", "-", "a4", "-", "a7", "-", "ep", "-", "w", "-", "z3", "+", "z6", 
       "+", "z7"}], "]"}]}], "/.", 
    RowBox[{"a", "\[Rule]", 
     RowBox[{
     "a1", "+", "a2", "+", "a3", "+", "a4", "+", "a5", "+", "a6", "+", "a7", 
      "+", "a8", "+", "a9", "+", "a10"}]}]}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"T", "=", 
  RowBox[{"Tgeneral", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "1"}], ",", 
     RowBox[{"a3", "\[Rule]", "1"}], ",", 
     RowBox[{"a4", "\[Rule]", "1"}], ",", 
     RowBox[{"a5", "\[Rule]", "1"}], ",", 
     RowBox[{"a6", "\[Rule]", "1"}], ",", 
     RowBox[{"a7", "\[Rule]", "1"}], ",", 
     RowBox[{"a8", "\[Rule]", "1"}], ",", 
     RowBox[{"a9", "\[Rule]", "1"}], ",", 
     RowBox[{"a10", "\[Rule]", "1"}]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "s"}], ")"}], 
     RowBox[{
      RowBox[{"-", "4"}], "-", 
      RowBox[{"3", " ", "ep"}]}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["t", "s"], ")"}], "w"], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "w"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "w"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "ep"}], "+", "z2"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "ep"}], "+", "z3"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "w", "-", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "z2"}], "-", "z3", "-", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "ep", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"z2", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"z3", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z5"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"-", "z6"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"w", "+", "z2", "+", "z3", "+", "z4", "-", "z7"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "ep", "-", "z5", "-", "z7"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "ep", "-", "z6", "-", "z7"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
     "1", "+", "ep", "+", "w", "-", "z4", "-", "z5", "-", "z6", "-", "z7"}], 
     "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "z7"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "ep"}], "-", "w", "-", "z2", "+", "z5", "+", "z7"}], "]"}],
     " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "ep"}], "-", "w", "-", "z3", "+", "z6", "+", "z7"}], "]"}],
     " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "z5", "+", "z6", "+", "z7"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"2", "+", "ep", "+", "z5", "+", "z6", "+", "z7"}], "]"}]}], 
   ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "ep"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "ep"}], "+", "w", "-", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "z2", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "z3", "+", "z4"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "-", "z5"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "-", "z6"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "ep"}], "+", "z5", "+", "z6", "+", "z7"}], "]"}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.439889129012364*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Trules", "=", 
  RowBox[{"MBoptimizedRules", "[", 
   RowBox[{"T", ",", 
    RowBox[{"ep", "\[Rule]", "0"}], ",", 
    RowBox[{"{", "}"}], ",", 
    RowBox[{"{", "ep", "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBresidues", "::", "\<\"contour\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"contour starts and/or ends on a pole of \
Gamma[\\!\\(\\(\\(-1\\)\\) - \\(\\(2\\\\ ep\\)\\) - w - z2\\)]\"\>"}]], \
"Message",
 CellChangeTimes->{3.439889129371408*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBresidues", "::", "\<\"contour\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"contour starts and/or ends on a pole of \
Gamma[\\!\\(\\(\\(-ep\\)\\) + z6\\)]\"\>"}]], "Message",
 CellChangeTimes->{3.439889131086644*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBresidues", "::", "\<\"contour\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"contour starts and/or ends on a pole of \
Gamma[\\!\\(\\(\\(-1\\)\\) - \\(\\(2\\\\ ep\\)\\) - w - z3\\)]\"\>"}]], \
"Message",
 CellChangeTimes->{3.43988913124745*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Further output of \\!\\(MBresidues :: \\\"contour\\\"\\) \
will be suppressed during this calculation. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message",
 CellChangeTimes->{3.43988913125187*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.439889137099778*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.4398891371404123`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MBrules", "::", "\<\"norules\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"no rules could be found to regulate this integral\"\>"}]], \
"Message",
 CellChangeTimes->{3.43988913714438*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Further output of \\!\\(MBrules :: \\\"norules\\\"\\) will \
be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message",
 CellChangeTimes->{3.439889137147572*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ep", "\[Rule]", 
     RowBox[{"-", 
      FractionBox["7807", "9216"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"w", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["1045", "3072"]}]}], ",", 
     RowBox[{"z2", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["725", "3072"]}]}], ",", 
     RowBox[{"z3", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["667", "1536"]}]}], ",", 
     RowBox[{"z4", "\[Rule]", 
      FractionBox["1355", "3072"]}], ",", 
     RowBox[{"z5", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["343", "1024"]}]}], ",", 
     RowBox[{"z6", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["7", "128"]}]}], ",", 
     RowBox[{"z7", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["611", "1024"]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.439889139491662*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Tcont", "=", 
   RowBox[{"MBcontinue", "[", 
    RowBox[{"T", ",", 
     RowBox[{"ep", "\[Rule]", "0"}], ",", "Trules"}], "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Level 1\"\>"], "Print",
 CellChangeTimes->{3.43988913970518*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139709222*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z3, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139717347*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z5"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z7, " = ", -1 - 
   MB`ep - $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139725276*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z6"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z7, " = ", -1 - 
   MB`ep - $CellContext`z6],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139733118*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"ep", "+", "w", "+", "z2", "-", "z5"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z7, " = ", 
   MB`ep + $CellContext`w + $CellContext`z2 - $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988913974144*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Level ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139786532*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}]}],
  SequenceForm["Integral ", {1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891397944937`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139802204*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z5"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z7, " = ", -1 - 
   MB`ep - $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139810286*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "2", "}"}]}],
  SequenceForm["Integral ", {2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139818396*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139826071*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891398337193`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z5"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z7, " = ", -1 - 
   MB`ep - $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139841798*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z6"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z7, " = ", -1 - 
   MB`ep - $CellContext`z6],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988913984976*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"ep", "+", "w", "+", "z2", "-", "z5"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z7, " = ", 
   MB`ep + $CellContext`w + $CellContext`z2 - $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139857504*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2", " ", "ep"}], "+", "w", "-", "z6"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z7, " = ", 
   2 MB`ep + $CellContext`w - $CellContext`z6],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139904627*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "3", "}"}]}],
  SequenceForm["Integral ", {3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139912735*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139920742*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "4", "}"}]}],
  SequenceForm["Integral ", {4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891399287453`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139936277*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139944257*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z5, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139990162*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "5", "}"}]}],
  SequenceForm["Integral ", {5}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889139998242*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140006093*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140052066*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"ep", "-", "z3", "-", "z4"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 
   MB`ep - $CellContext`z3 - $CellContext`z4],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140060608*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w", "-", "z2", "+", "z5"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z6, " = ", -1 - 2 
   MB`ep - $CellContext`w - $CellContext`z2 + $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140105905*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "3"}],
  SequenceForm["Level ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891401141357`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891401227207`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140130308*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914013826*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140146894*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140154853*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-2) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140162641*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z5"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z7, " = ", -1 - 
   MB`ep - $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891401709757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2", " ", "ep"}], "+", "w", "-", "z6"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z7, " = ", 
   2 MB`ep + $CellContext`w - $CellContext`z6],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140217186*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140225375*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z5"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z7, " = ", -1 - 
   MB`ep - $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140233539*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2", " ", "ep"}], "+", "w", "-", "z6"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z7, " = ", 
   2 MB`ep + $CellContext`w - $CellContext`z6],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891402415*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140249655*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140258009*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891403051033`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140313437*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891403215227`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140329403*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z5, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140337275*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5"}], "}"}]}],
  SequenceForm["Integral ", {2, 5}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140383378*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140391481*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891403995247`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140407398*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w", "-", "z2", "+", "z5"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z6, " = ", -1 - 2 
   MB`ep - $CellContext`w - $CellContext`z2 + $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891404529953`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "6"}], "}"}]}],
  SequenceForm["Integral ", {2, 6}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891404617968`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w", "+", "z5"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 1 + 
   3 MB`ep + $CellContext`w + $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140470065*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891404783688`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140486401*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140494136*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140502071*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {4, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140548539*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914055669*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {4, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140564795*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891405728273`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140580688*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140588646*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140634775*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891406430807`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891406515017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140659656*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891406678257`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140675881*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140721987*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891407302*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891407383013`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {5, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140746752*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140754792*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914080035*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140808564*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z5, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891408166733`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"ep", "-", "z3", "-", "z4"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 
   MB`ep - $CellContext`z3 - $CellContext`z4],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140862884*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "4"}],
  SequenceForm["Level ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140871295*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140879266*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {1, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140887726*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891408956738`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140903693*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", "ep", "-", "z5"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z7, " = ", -1 - 
   MB`ep - $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914091184*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z7", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2", " ", "ep"}], "+", "w", "-", "z6"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z7, " = ", 
   2 MB`ep + $CellContext`w - $CellContext`z6],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891409196863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891409285717`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140936514*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889140945376*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w", "+", "z5"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 1 + 
   3 MB`ep + $CellContext`w + $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891409535007`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891409995537`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141007819*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141015965*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141024239*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w", "+", "z5"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 1 + 
   3 MB`ep + $CellContext`w + $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141033237*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891410419807`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891410501537`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891410581503`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891410662193`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141112526*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891411221123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-2) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141131404*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141140072*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891411480703`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141156191*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141164301*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141172616*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141218858*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141227281*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141235343*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141243586*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w", "+", "z5"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 1 + 
   3 MB`ep + $CellContext`w + $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141251686*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914129786*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141306342*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-2) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141315201*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141323333*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"ep", "+", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 
   MB`ep + $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141331587*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141340453*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891413486347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141394442*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141402787*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141410795*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z5, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141419232*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "6", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 6, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141465212*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -1 - 3 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141473877*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141482595*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891414913273`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {4, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891414999123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891415078897`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141515991*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141523844*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141532208*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141540229*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141548882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891415572433`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891416033983`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891416123333`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891416213493`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141629512*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141637764*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141645998*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141653862*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141662381*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141670772*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891417169228`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141725453*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141733597*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"ep", "-", "z3", "-", "z4"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 
   MB`ep - $CellContext`z3 - $CellContext`z4],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891417421513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141750255*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w", "-", "z4"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 1 + 
   3 MB`ep + $CellContext`w - $CellContext`z4],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141758334*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141804528*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141813115*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141822139*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141830566*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914183889*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141847411*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141893347*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141902114*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141910493*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141918696*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141965225*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891419738073`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141983714*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889141991788*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142008799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891420197477`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142028256*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891420364723`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142044797*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142091057*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "5"}],
  SequenceForm["Level ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142100255*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {1, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142108678*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142117449*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891421258383`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142134335*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914214248*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w", "+", "z5"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 1 + 
   3 MB`ep + $CellContext`w + $CellContext`z5],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142151514*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891421606092`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142169469*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -1 - 3 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142178376*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142187789*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891421964817`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891422046967`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -1 - 3 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142213613*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142227557*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142236207*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142247774*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"4", " ", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 
   4 MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891422561398`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891423055468`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142314163*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142323188*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142331736*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142340378*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142349626*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891423579082`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142366885*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142375424*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914242169*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2", " ", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 
   2 MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142430559*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142439501*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891424482517`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891424566307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-2) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142465035*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142511549*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142521503*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142529975*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142538898*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914254799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142556365*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142564775*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891425731497`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142582136*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -1 - 3 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142591106*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914259958*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142607746*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891426160927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142625519*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891426338882`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142643085*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142690217*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891426988792`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142707472*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891427159567`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142725315*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891427340593`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142742914*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142752249*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142760569*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-2) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891428357897`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891428820753`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"ep", "+", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 
   MB`ep + $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142891397*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142899835*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914290807*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z2, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142916485*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z2, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914292505*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142972581*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "6", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 6, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914298145*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891429897738`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889142997995*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143007017*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891430161953`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143025064*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891430342417`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143042927*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143052107*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143061592*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143070758*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143079196*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891430874577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891430955276`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143104803*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143114456*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 2, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891431230583`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143131592*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143140918*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891431492653`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143196476*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891432055883`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "1", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 1, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143214097*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   3 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143223094*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143231862*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143240383*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891432497463`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"ep", "-", "z3", "-", "z4"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 
   MB`ep - $CellContext`z3 - $CellContext`z4],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143295747*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143305621*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143315*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143323601*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891433318367`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891433788757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891433876534`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143395995*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143405498*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143414359*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891434229307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "2", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 2, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891434327307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143442779*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143451632*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891434599123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143468636*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891435154667`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143524441*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143533185*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891435428553`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891435514803`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143559889*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914361189*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891436206083`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143667508*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891436789417`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143687973*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z3, " = ", -1 - 2 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143696598*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891437052097`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143752109*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891437608852`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   3 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143817787*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "6"}],
  SequenceForm["Level ", 6],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143864706*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143874291*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143884276*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143893877*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -1 - 3 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914390259*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "3", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 3, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143912277*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 2, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143921542*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143930735*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143940089*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143949119*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143957762*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891439671593`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"5", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 5 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891439765463`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"4", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 4 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889143985578*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891439955273`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144005094*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144016962*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144026477*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144035276*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891440451193`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891440539637`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144062848*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144071526*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144080265*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2", " ", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 
   2 MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144089012*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144097426*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"4", " ", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 
   4 MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891441061773`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891441534233`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891441623898`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2", " ", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 
   2 MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144171273*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144180756*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144190486*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914419917*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144207794*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144216673*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144226761*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891442365217`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144245247*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891442539597`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891443016644`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144310646*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144320405*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144330687*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144340797*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891443503532`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144360208*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}], "-", "w"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z5, " = ", -1 - 3 
   MB`ep - $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914436959*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "1", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 1, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891443788843`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   3 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914438872*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914439748*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144406227*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144415626*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144425818*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144435491*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914444442*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144452986*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891444628763`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144472271*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "3", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 3, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891445204353`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891445307426`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914453948*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144548732*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891445576973`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144567457*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"ep", "+", "z2"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 
   MB`ep + $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891445771627`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144585944*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144594808*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "5"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-5) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144603362*^9}],

Cell[BoxData["\<\"...no contribution\"\>"], "Print",
 CellChangeTimes->{3.4398891446659603`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144675084*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144810885*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144819726*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144871504*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144922628*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891449315643`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144940482*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144949799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891449596252`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z2"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z2],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144969675*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891449790077`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144988721*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889144998509*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891450071363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-2) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145069909*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145118434*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145129077*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145139271*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891451485863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145158308*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145169039*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145179449*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145189116*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 2, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891451995583`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 2, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145209447*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145218354*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "1", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 1, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891452270937`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891452360487`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"5", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 5 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145244792*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"4", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 4 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145253705*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145262426*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"4", " ", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 
   4 MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891452716227`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145282262*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145292321*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145301265*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145311162*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891453208513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891453297567`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145340035*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891453893013`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145399177*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891454080343`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145416078*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145424205*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145432911*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145507077*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891455163927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891455254917`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145534555*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145545766*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145554926*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "2", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 2, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145602791*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145612153*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891456224194`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145631612*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   4 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145729919*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   3 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891457798557`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145827642*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891458374357`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145847563*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "ep"}], "-", "z3"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, 
   " = ", -MB`ep - $CellContext`z3],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891458568783`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145865568*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   2 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145874358*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "ep"}], "+", "w"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z4, " = ", 1 + 
   3 MB`ep + $CellContext`w],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145921702*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145932046*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145941128*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891459518023`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "7"}],
  SequenceForm["Level ", 7],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145962747*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "1", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 1, 1, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145972992*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889145984007*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146036168*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146046422*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "1", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 1, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891460556707`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 1, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146064609*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "2", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891460748987`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "2", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 2, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146084386*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146093257*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891461032*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146113282*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146122498*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146131328*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891461405773`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146149572*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891461583138`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891462075777`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "5"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 5}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146217918*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"5", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 5 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891462269163`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"4", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 4 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146236828*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891462475243`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146256722*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146265806*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891462755003`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146284481*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146295141*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "2", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 2, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146305984*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "2", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 2, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146316757*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914632723*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146337556*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146346734*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146355695*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914636565*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146376048*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914638671*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146395961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146405178*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891464548597`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "1", ",", "3", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 1, 3, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146464764*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "1", ",", "3", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 1, 3, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146474868*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146485734*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914649575*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146505126*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146514257*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146523088*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z6, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146532363*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891465427732`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914655379*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891465644083`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146574995*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891465859013`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "1", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891465965977`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "1", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 1, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146606846*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "3", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 3, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146616392*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146625566*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "3", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 3, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146695242*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z5", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z5, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891467047367`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "3", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 3, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146790164*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146800881*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914681143*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146822348*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891468315496`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146878634*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "1", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 1, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146889509*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146899021*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z2", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z2, " = ", 2 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891469083443`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891469554768`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914696495*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "5"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-5) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889146973901*^9}],

Cell[BoxData["\<\"...no contribution\"\>"], "Print",
 CellChangeTimes->{3.439889147020781*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z4", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "3"}], " ", "ep"}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`z4, " = ", (-3) MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147030095*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "3", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891471309958`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"-\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "w", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"3", " ", "ep"}]}]}],
  SequenceForm[
  "Taking ", "-", "residue in ", $CellContext`w, " = ", -1 - 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147140604*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {4, 3, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891471959248`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 2, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891472057533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147216032*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914722661*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891472373247`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147247615*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891472575073`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z6", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", "ep"}],
  SequenceForm["Taking ", "+", "residue in ", $CellContext`z6, " = ", MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147268118*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "4"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 4}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147277916*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"5", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 5 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147287608*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"4", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 4 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147296736*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "5"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 5}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147345344*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "3", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147356586*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147366774*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "2", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147375937*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891473849297`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147395702*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147405265*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147453753*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147463172*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891474722033`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "1", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147520095*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "1", ",", "1", ",", "3"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 1, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147530529*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147540051*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 3 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147549273*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"5", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 5 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147558445*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Taking \"\>", "\[InvisibleSpace]", "\<\"+\"\>", 
   "\[InvisibleSpace]", "\<\"residue in \"\>", "\[InvisibleSpace]", "z3", 
   "\[InvisibleSpace]", "\<\" = \"\>", "\[InvisibleSpace]", 
   RowBox[{"4", " ", "ep"}]}],
  SequenceForm[
  "Taking ", "+", "residue in ", $CellContext`z3, " = ", 4 MB`ep],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147567927*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "1", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147615885*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "2", ",", "1"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147626277*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "2", ",", "2"}], "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147637144*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Level \"\>", "\[InvisibleSpace]", "8"}],
  SequenceForm["Level ", 8],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147647974*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147658614*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "1", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147669756*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "2", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891476811047`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "3", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147691802*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "3", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891477025537`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "5", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 5, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147713367*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "1", ",", "5", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 1, 5, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891477242517`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "2", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891477354803`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "2", ",", "1", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147746625*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "2", ",", "2", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 2, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891477580633`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "1", ",", "2", ",", "2", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 1, 2, 2, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147768732*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "1", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147779765*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "1", ",", "1", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891477906723`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "2", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891478016577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "4", ",", "2", ",", "2", ",", "1", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 4, 4, 2, 2, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891478127193`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "1", ",", "1", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891478239117`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "1", ",", "1", ",", "1", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 1, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147835095*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "2", ",", "1", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147845792*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "2", ",", "2", ",", "1", ",", "1", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 2, 2, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147856629*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "3", ",", "1", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 3, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147867917*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "3", ",", "2", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 3, 2, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914787862*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "1", ",", "3", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147928707*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "1", ",", "3", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 1, 3, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147939766*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "1", ",", "4", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 1, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988914795006*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "1", ",", "4", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 1, 4, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147962215*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "3", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 3, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147973495*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "4", ",", "5", ",", "3", ",", "2", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {2, 5, 4, 5, 3, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147985499*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889147996766*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "2", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 2, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889148007621*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "3", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 3, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891480183277`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "4", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 4, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889148029201*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2", ",", "1", ",", "1", ",", "4", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {5, 3, 2, 1, 1, 4, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891480398693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "4", ",", "2", ",", "1", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {5, 4, 4, 2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889148051165*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "1", ",", "1", ",", "1"}],
     "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889148062282*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "1", ",", "1", ",", "2"}],
     "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 1, 1, 2}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889148073619*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Integral \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "5", ",", "2", ",", "1", ",", "1", ",", "3"}],
     "}"}]}],
  SequenceForm["Integral ", {5, 4, 5, 2, 1, 1, 3}],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889148084909*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"281", "\[InvisibleSpace]", "\<\" integral(s) found\"\>"}],
  SequenceForm[281, " integral(s) found"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398891480957336`*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tselect", "=", 
   RowBox[{"MBmerge", "[", 
    RowBox[{"MBpreselect", "[", 
     RowBox[{"Tcont", ",", 
      RowBox[{"{", 
       RowBox[{"ep", ",", "0", ",", 
        RowBox[{"-", "4"}]}], "}"}]}], "]"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Texp", "=", 
   RowBox[{"MBexpand", "[", 
    RowBox[{"Tselect", ",", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"s", "^", "3"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "t"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"3", "ep"}]}], ")"}]}], 
      RowBox[{"Exp", "[", 
       RowBox[{"3", "ep", " ", "EulerGamma"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"ep", ",", "0", ",", 
       RowBox[{"-", "4"}]}], "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "application", " ", "of", " ", "the", " ", "first", " ", "Barnes", " ", 
   "lemma"}], " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MBmerge", "[", 
   RowBox[{"Texp", "/.", 
    RowBox[{
     RowBox[{"MBint", "[", 
      RowBox[{"i_", ",", 
       RowBox[{"{", 
        RowBox[{"a_", ",", 
         RowBox[{"{", 
          RowBox[{"z_", "\[Rule]", "x_"}], "}"}]}], "}"}]}], "]"}], 
     "\[RuleDelayed]", 
     RowBox[{"Barnes1", "[", 
      RowBox[{
       RowBox[{"MBint", "[", 
        RowBox[{"i", ",", 
         RowBox[{"{", 
          RowBox[{"a", ",", 
           RowBox[{"{", 
            RowBox[{"z", "\[Rule]", "x"}], "}"}]}], "}"}]}], "]"}], ",", 
       "z"}], "]"}]}]}], "]"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"t", "/", "s"}], "]"}], "\[Rule]", 
     RowBox[{"-", 
      RowBox[{"Log", "[", 
       RowBox[{"s", "/", "t"}], "]"}]}]}], ",", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"-", "s"}], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"s", "/", "t"}], "]"}], "+", 
      RowBox[{"Log", "[", 
       RowBox[{"-", "t"}], "]"}]}]}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"MBint", "[", 
   RowBox[{
    RowBox[{
     FractionBox["1", 
      RowBox[{"18", " ", 
       SuperscriptBox["ep", "6"]}]], 
     RowBox[{"(", 
      RowBox[{"32", "-", 
       RowBox[{"27", " ", 
        SuperscriptBox["ep", "2"], " ", 
        SuperscriptBox["\[Pi]", "2"]}], "+", 
       RowBox[{"66", " ", "ep", " ", 
        RowBox[{"Log", "[", 
         FractionBox["s", "t"], "]"}]}], "+", 
       RowBox[{"54", " ", 
        SuperscriptBox["ep", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Log", "[", 
          FractionBox["s", "t"], "]"}], "2"]}], "+", 
       RowBox[{"6", " ", "ep", " ", 
        RowBox[{"(", 
         RowBox[{"16", "+", 
          RowBox[{"33", " ", "ep", " ", 
           RowBox[{"Log", "[", 
            FractionBox["s", "t"], "]"}]}]}], ")"}], " ", 
        RowBox[{"Log", "[", 
         RowBox[{"-", "t"}], "]"}]}], "+", 
       RowBox[{"144", " ", 
        SuperscriptBox["ep", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Log", "[", 
          RowBox[{"-", "t"}], "]"}], "2"]}], "+", 
       RowBox[{"144", " ", 
        SuperscriptBox["ep", "2"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            FractionBox["s", "t"], "]"}], "+", 
           RowBox[{"Log", "[", 
            RowBox[{"-", "t"}], "]"}]}], ")"}], "2"]}], "-", 
       RowBox[{"6", " ", "ep", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Log", "[", 
           FractionBox["s", "t"], "]"}], "+", 
          RowBox[{"Log", "[", 
           RowBox[{"-", "t"}], "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"16", "+", 
          RowBox[{"33", " ", "ep", " ", 
           RowBox[{"Log", "[", 
            FractionBox["s", "t"], "]"}]}], "+", 
          RowBox[{"48", " ", "ep", " ", 
           RowBox[{"Log", "[", 
            RowBox[{"-", "t"}], "]"}]}]}], ")"}]}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ep", "\[Rule]", "0"}], "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}]}], "]"}], "}"}]], "Output",
 CellChangeTimes->{3.4398891544301043`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{
   RowBox[{"%", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "ep", ",", "Simplify"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["16", 
   RowBox[{"9", " ", 
    SuperscriptBox["ep", "6"]}]], "-", 
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox["\[Pi]", "2"]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["ep", "4"]}]], "-", 
  FractionBox[
   RowBox[{"5", " ", 
    RowBox[{"Log", "[", 
     FractionBox["s", "t"], "]"}]}], 
   RowBox[{"3", " ", 
    SuperscriptBox["ep", "5"]}]]}]], "Output",
 CellChangeTimes->{3.439889154489521*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "numerical", " ", "integration", " ", "down", " ", "to", " ", "the", " ", 
   "finite", " ", "part"}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tselect", "=", 
   RowBox[{"MBmerge", "[", 
    RowBox[{"MBpreselect", "[", 
     RowBox[{"Tcont", ",", 
      RowBox[{"{", 
       RowBox[{"ep", ",", "0", ",", "0"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Texp", "=", 
   RowBox[{"MBexpand", "[", 
    RowBox[{"Tselect", ",", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"s", "^", "3"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "t"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"3", "ep"}]}], ")"}]}], 
      RowBox[{"Exp", "[", 
       RowBox[{"3", "ep", " ", "EulerGamma"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"ep", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MBintegrate", "[", 
   RowBox[{"Texp", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "\[Rule]", 
       RowBox[{"2", "+", 
        RowBox[{"I", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "10"}]}]}]}]}], ",", 
      RowBox[{"t", "\[Rule]", 
       RowBox[{"-", "3"}]}]}], "}"}], ",", 
    RowBox[{"PrecisionGoal", "\[Rule]", "3"}], ",", 
    RowBox[{"Complex", "\[Rule]", "True"}]}], "]"}], "//", 
  "AbsoluteTiming"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Shifting contours...\"\>"], "Print",
 CellChangeTimes->{3.4398892140352917`*^9}],

Cell["\<\
Performing 28 lower-dimensional integrations with \
NIntegrate...1...2...3...4...5...6...7...8...9...10...11...12...13...14...15..\
.16...17...18...19...20...21...22...23...24...25...26...27...28\
\>", "Print",
 CellChangeTimes->{3.439889344964602*^9}],

Cell[BoxData["\<\"Higher-dimensional integrals\"\>"], "Print",
 CellChangeTimes->{3.439889364789629*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart1ep0", " (dim ", 5, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889364865951*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart2ep0", " (dim ", 5, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889365045849*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart3ep0", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889365253112*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart4ep0", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988936542575*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart5ep0", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889365666646*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart6ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart6ep0", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398893668793716`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart7ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart7ep0", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398893672537394`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart8ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart8ep0", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889367685433*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart9ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart9ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889369635219*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart10ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart10ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889369928343*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart11ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart11ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889370220149*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart12ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart12ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889370452127*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart13ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart13ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398893706840677`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart14ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart14ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889370960725*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart15ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart15ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398893711601143`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart16ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart16ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398893715638847`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart17ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart17ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889377637989*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart18ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart18ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889378784294*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart19ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart19ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889379172781*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart20ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart20ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988938066637*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart21ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart21ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889380978582*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart22ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart22ep0", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889382771161*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart23ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart23ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889383091839*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart24ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart24ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889384136655*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart25ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart25ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889384306192*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart26ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart26ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889384577147*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart27ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart27ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988938782162*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart28ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart28ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889388180447*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart29ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart29ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889388849503*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart30ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart30ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988938911639*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart31ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart31ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398894001417017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart32ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart32ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889401134503*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart33ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart33ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889424911538*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart34ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart34ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398894667951736`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart35ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart35ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889468799144*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart36ep0\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart36ep0", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889474274838*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart37ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart37ep-1", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398894879411*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart38ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart38ep-1", " (dim ", 4, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988948816464*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart39ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart39ep-1", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988948835959*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart40ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart40ep-1", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398894885302143`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart41ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart41ep-1", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889488721616*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart42ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart42ep-1", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398894891095667`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart43ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart43ep-1", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398894893118553`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart44ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart44ep-1", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889489825469*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart45ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart45ep-1", " (dim ", 3, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889490067811*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart46ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart46ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889490270338*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart47ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart47ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889490564515*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart48ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart48ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889490762726*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart49ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart49ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398894910891247`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart50ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart50ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889491274872*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart51ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart51ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889491471373*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart52ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart52ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889491647963*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart53ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart53ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398894921775017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart54ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart54ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889492360559*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart55ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart55ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889493463315*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart56ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart56ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889495328101*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart57ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart57ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889495613426*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart58ep-1\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart58ep-1", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889496769565*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart59ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart59ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889498180202*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart60ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart60ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889498356571*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart61ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart61ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889498543878*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart62ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart62ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988949873547*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart63ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart63ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889498904941*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart64ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart64ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889499070434*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart65ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart65ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398894992716722`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart66ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart66ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889499460164*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart67ep-2\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart67ep-2", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889499633016*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart68ep-3\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart68ep-3", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988949980875*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preparing \"\>", "\[InvisibleSpace]", "\<\"MBpart69ep-3\"\>", 
   "\[InvisibleSpace]", "\<\" (dim \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Preparing ", "MBpart69ep-3", " (dim ", 2, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889500002017*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart1ep0\"\>"}],
  SequenceForm["Running ", "MBpart1ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889501174561*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart2ep0\"\>"}],
  SequenceForm["Running ", "MBpart2ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889515124464*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart3ep0\"\>"}],
  SequenceForm["Running ", "MBpart3ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889529609809*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart4ep0\"\>"}],
  SequenceForm["Running ", "MBpart4ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889537940624*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart5ep0\"\>"}],
  SequenceForm["Running ", "MBpart5ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889547550116*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart6ep0\"\>"}],
  SequenceForm["Running ", "MBpart6ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988957551536*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart7ep0\"\>"}],
  SequenceForm["Running ", "MBpart7ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398895953402233`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart8ep0\"\>"}],
  SequenceForm["Running ", "MBpart8ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889618874983*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart9ep0\"\>"}],
  SequenceForm["Running ", "MBpart9ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889643662561*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart10ep0\"\>"}],
  SequenceForm["Running ", "MBpart10ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398896443156*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart11ep0\"\>"}],
  SequenceForm["Running ", "MBpart11ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889646172572*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart12ep0\"\>"}],
  SequenceForm["Running ", "MBpart12ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889647279623*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart13ep0\"\>"}],
  SequenceForm["Running ", "MBpart13ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889648441269*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart14ep0\"\>"}],
  SequenceForm["Running ", "MBpart14ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889651475713*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart15ep0\"\>"}],
  SequenceForm["Running ", "MBpart15ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889652078492*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart16ep0\"\>"}],
  SequenceForm["Running ", "MBpart16ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889652900867*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart17ep0\"\>"}],
  SequenceForm["Running ", "MBpart17ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889668727347*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart18ep0\"\>"}],
  SequenceForm["Running ", "MBpart18ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889672493436*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart19ep0\"\>"}],
  SequenceForm["Running ", "MBpart19ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889675121827*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart20ep0\"\>"}],
  SequenceForm["Running ", "MBpart20ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889679672708*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart21ep0\"\>"}],
  SequenceForm["Running ", "MBpart21ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889680498455*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart22ep0\"\>"}],
  SequenceForm["Running ", "MBpart22ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889684589094*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart23ep0\"\>"}],
  SequenceForm["Running ", "MBpart23ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398896937567387`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart24ep0\"\>"}],
  SequenceForm["Running ", "MBpart24ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889704527293*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart25ep0\"\>"}],
  SequenceForm["Running ", "MBpart25ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988970469179*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart26ep0\"\>"}],
  SequenceForm["Running ", "MBpart26ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889704833572*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart27ep0\"\>"}],
  SequenceForm["Running ", "MBpart27ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889705086878*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart28ep0\"\>"}],
  SequenceForm["Running ", "MBpart28ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897053859663`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart29ep0\"\>"}],
  SequenceForm["Running ", "MBpart29ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889712318368*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart30ep0\"\>"}],
  SequenceForm["Running ", "MBpart30ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889712474661*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart31ep0\"\>"}],
  SequenceForm["Running ", "MBpart31ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897224839783`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart32ep0\"\>"}],
  SequenceForm["Running ", "MBpart32ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889729126315*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart33ep0\"\>"}],
  SequenceForm["Running ", "MBpart33ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988973130392*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart34ep0\"\>"}],
  SequenceForm["Running ", "MBpart34ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897342196198`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart35ep0\"\>"}],
  SequenceForm["Running ", "MBpart35ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889735568873*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart36ep0\"\>"}],
  SequenceForm["Running ", "MBpart36ep0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889737165683*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart37ep-1\"\>"}],
  SequenceForm["Running ", "MBpart37ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889739793071*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart38ep-1\"\>"}],
  SequenceForm["Running ", "MBpart38ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988975881579*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart39ep-1\"\>"}],
  SequenceForm["Running ", "MBpart39ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897703197527`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart40ep-1\"\>"}],
  SequenceForm["Running ", "MBpart40ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897707380943`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart41ep-1\"\>"}],
  SequenceForm["Running ", "MBpart41ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897712658043`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart42ep-1\"\>"}],
  SequenceForm["Running ", "MBpart42ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897732598658`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart43ep-1\"\>"}],
  SequenceForm["Running ", "MBpart43ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897736263123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart44ep-1\"\>"}],
  SequenceForm["Running ", "MBpart44ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897745841293`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart45ep-1\"\>"}],
  SequenceForm["Running ", "MBpart45ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889775144745*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart46ep-1\"\>"}],
  SequenceForm["Running ", "MBpart46ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988977611097*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart47ep-1\"\>"}],
  SequenceForm["Running ", "MBpart47ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889776246991*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart48ep-1\"\>"}],
  SequenceForm["Running ", "MBpart48ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889776295233*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart49ep-1\"\>"}],
  SequenceForm["Running ", "MBpart49ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988977638647*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart50ep-1\"\>"}],
  SequenceForm["Running ", "MBpart50ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897764663363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart51ep-1\"\>"}],
  SequenceForm["Running ", "MBpart51ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889776553829*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart52ep-1\"\>"}],
  SequenceForm["Running ", "MBpart52ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897766103773`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart53ep-1\"\>"}],
  SequenceForm["Running ", "MBpart53ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889776895877*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart54ep-1\"\>"}],
  SequenceForm["Running ", "MBpart54ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897769972477`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart55ep-1\"\>"}],
  SequenceForm["Running ", "MBpart55ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.43988977716475*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart56ep-1\"\>"}],
  SequenceForm["Running ", "MBpart56ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889777383197*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart57ep-1\"\>"}],
  SequenceForm["Running ", "MBpart57ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889777507712*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart58ep-1\"\>"}],
  SequenceForm["Running ", "MBpart58ep-1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897776774473`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart59ep-2\"\>"}],
  SequenceForm["Running ", "MBpart59ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889777923209*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart60ep-2\"\>"}],
  SequenceForm["Running ", "MBpart60ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897780486403`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart61ep-2\"\>"}],
  SequenceForm["Running ", "MBpart61ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897781958027`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart62ep-2\"\>"}],
  SequenceForm["Running ", "MBpart62ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889778244565*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart63ep-2\"\>"}],
  SequenceForm["Running ", "MBpart63ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889778291192*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart64ep-2\"\>"}],
  SequenceForm["Running ", "MBpart64ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889778341034*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart65ep-2\"\>"}],
  SequenceForm["Running ", "MBpart65ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897783882093`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart66ep-2\"\>"}],
  SequenceForm["Running ", "MBpart66ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889778468768*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart67ep-2\"\>"}],
  SequenceForm["Running ", "MBpart67ep-2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4398897785732737`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart68ep-3\"\>"}],
  SequenceForm["Running ", "MBpart68ep-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889778622102*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Running \"\>", "\[InvisibleSpace]", "\<\"MBpart69ep-3\"\>"}],
  SequenceForm["Running ", "MBpart69ep-3"],
  Editable->False]], "Print",
 CellChangeTimes->{3.439889778672599*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"566.883044`9.205038460528638", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"139.36137888859741`", "\[InvisibleSpace]", "-", 
        RowBox[{"1241.6935178661226`", " ", "\[ImaginaryI]"}]}], ")"}], "+", 
      FractionBox["1.7777777777777777`", 
       SuperscriptBox["ep", "6"]], "+", 
      FractionBox[
       RowBox[{"0.6757751801802745`", "\[InvisibleSpace]", "+", 
        RowBox[{"5.235987755899654`", " ", "\[ImaginaryI]"}]}], 
       SuperscriptBox["ep", "5"]], "-", 
      FractionBox[
       RowBox[{"14.80440660190225`", "\[InvisibleSpace]", "-", 
        RowBox[{"7.105427357601002`*^-15", " ", "\[ImaginaryI]"}]}], 
       SuperscriptBox["ep", "4"]], "-", 
      FractionBox[
       RowBox[{"10.362946161415744`", "\[InvisibleSpace]", "-", 
        RowBox[{"8.693077614956`", " ", "\[ImaginaryI]"}]}], 
       SuperscriptBox["ep", "3"]], "-", 
      FractionBox[
       RowBox[{"124.15199704341964`", "\[InvisibleSpace]", "-", 
        RowBox[{"94.13713644839476`", " ", "\[ImaginaryI]"}]}], 
       SuperscriptBox["ep", "2"]], "-", 
      FractionBox[
       RowBox[{"397.2703169262442`", "\[InvisibleSpace]", "+", 
        RowBox[{"258.90878862006855`", " ", "\[ImaginaryI]"}]}], "ep"]}], ",",
      
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0.4843102662482417`", "\[InvisibleSpace]", "+", 
        FractionBox["0.00017402284818892724`", 
         SuperscriptBox["ep", "3"]], "+", 
        FractionBox["0.013760135043552868`", 
         SuperscriptBox["ep", "2"]], "+", 
        FractionBox["0.2019505479569844`", "ep"]}], ",", 
       RowBox[{"1.5891206248665577`", "\[InvisibleSpace]", "+", 
        FractionBox["4.304145703053152`*^-15", 
         SuperscriptBox["ep", "3"]], "+", 
        FractionBox["0.01481810326516058`", 
         SuperscriptBox["ep", "2"]], "+", 
        FractionBox["0.2909359451663551`", "ep"]}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4398897787229443`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"the", " ", "exact", " ", "result", " ", "gives"}], " ", 
  "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Texact", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"139.3474376099377", "\[InvisibleSpace]", "-", 
     RowBox[{"1241.7633333064705", " ", "\[ImaginaryI]"}]}], ")"}], "+", 
   FractionBox["1.7777777777777777", 
    SuperscriptBox["ep", "6"]], "+", 
   FractionBox[
    RowBox[{"0.675775180180274", "\[InvisibleSpace]", "+", 
     RowBox[{"5.235987755982989", " ", "\[ImaginaryI]"}]}], 
    SuperscriptBox["ep", "5"]], "-", 
   FractionBox["14.804406601634037", 
    SuperscriptBox["ep", "4"]], "-", 
   FractionBox[
    RowBox[{"10.362946160696136", "\[InvisibleSpace]", "-", 
     RowBox[{"8.693077615415064", " ", "\[ImaginaryI]"}]}], 
    SuperscriptBox["ep", "3"]], "-", 
   FractionBox[
    RowBox[{"124.15212253361334", "\[InvisibleSpace]", "-", 
     RowBox[{"94.1372326712246", " ", "\[ImaginaryI]"}]}], 
    SuperscriptBox["ep", "2"]], "-", 
   FractionBox[
    RowBox[{"397.2713690837199", "\[InvisibleSpace]", "+", 
     RowBox[{"258.8990412005678", " ", "\[ImaginaryI]"}]}], 
    "ep"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"139.3474376099377`", "\[InvisibleSpace]", "-", 
    RowBox[{"1241.7633333064705`", " ", "\[ImaginaryI]"}]}], ")"}], "+", 
  FractionBox["1.7777777777777777`", 
   SuperscriptBox["ep", "6"]], "+", 
  FractionBox[
   RowBox[{"0.675775180180274`", "\[InvisibleSpace]", "+", 
    RowBox[{"5.235987755982989`", " ", "\[ImaginaryI]"}]}], 
   SuperscriptBox["ep", "5"]], "-", 
  FractionBox["14.804406601634037`", 
   SuperscriptBox["ep", "4"]], "-", 
  FractionBox[
   RowBox[{"10.362946160696136`", "\[InvisibleSpace]", "-", 
    RowBox[{"8.693077615415064`", " ", "\[ImaginaryI]"}]}], 
   SuperscriptBox["ep", "3"]], "-", 
  FractionBox[
   RowBox[{"124.15212253361334`", "\[InvisibleSpace]", "-", 
    RowBox[{"94.1372326712246`", " ", "\[ImaginaryI]"}]}], 
   SuperscriptBox["ep", "2"]], "-", 
  FractionBox[
   RowBox[{"397.2713690837199`", "\[InvisibleSpace]", "+", 
    RowBox[{"258.8990412005678`", " ", "\[ImaginaryI]"}]}], "ep"]}]], "Output",\

 CellChangeTimes->{3.439889778926083*^9}]
}, Open  ]]
},
WindowSize->{652, 971},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"6.0 for Linux x86 (64-bit) (June 2, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 48, 1, 28, "Input"],
Cell[CellGroupData[{
Cell[663, 28, 82, 1, 21, "Print"],
Cell[748, 31, 91, 1, 21, "Print"],
Cell[842, 34, 109, 1, 21, "Print"],
Cell[954, 37, 103, 1, 21, "Print"],
Cell[1060, 40, 98, 1, 21, "Print"]
}, Open  ]]
}, Open  ]],
Cell[1185, 45, 518, 12, 80, "Input"],
Cell[CellGroupData[{
Cell[1728, 61, 2074, 66, 114, "Input"],
Cell[3805, 129, 2211, 65, 128, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6053, 199, 221, 6, 28, "Input"],
Cell[6277, 207, 216, 6, 20, "Message"],
Cell[6496, 215, 218, 6, 20, "Message"],
Cell[6717, 223, 216, 6, 20, "Message"],
Cell[6936, 231, 453, 9, 34, "Message"],
Cell[7392, 242, 624, 21, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8053, 268, 188, 6, 28, "Input"],
Cell[CellGroupData[{
Cell[8266, 278, 83, 1, 21, "Print"],
Cell[8352, 281, 535, 12, 21, "Print"],
Cell[8890, 295, 535, 12, 21, "Print"],
Cell[9428, 309, 190, 5, 21, "Print"],
Cell[9621, 316, 222, 6, 21, "Print"],
Cell[9846, 324, 469, 11, 21, "Print"],
Cell[10318, 337, 389, 7, 21, "Print"],
Cell[10710, 346, 473, 11, 21, "Print"],
Cell[11186, 359, 533, 12, 21, "Print"],
Cell[11722, 373, 222, 6, 21, "Print"],
Cell[11947, 381, 469, 11, 21, "Print"],
Cell[12419, 394, 390, 7, 21, "Print"],
Cell[12812, 403, 473, 11, 21, "Print"],
Cell[13288, 416, 535, 12, 21, "Print"],
Cell[13826, 430, 190, 5, 21, "Print"],
Cell[14019, 437, 252, 7, 21, "Print"],
Cell[14274, 446, 390, 7, 21, "Print"],
Cell[14667, 455, 471, 11, 21, "Print"],
Cell[15141, 468, 421, 9, 21, "Print"],
Cell[15565, 479, 250, 7, 21, "Print"],
Cell[15818, 488, 252, 7, 21, "Print"],
Cell[16073, 497, 419, 9, 21, "Print"],
Cell[16495, 508, 390, 7, 21, "Print"],
Cell[16888, 517, 252, 7, 21, "Print"],
Cell[17143, 526, 390, 7, 21, "Print"],
Cell[17536, 535, 250, 7, 21, "Print"],
Cell[17789, 544, 471, 11, 21, "Print"],
Cell[18263, 557, 390, 7, 21, "Print"],
Cell[18656, 566, 471, 11, 21, "Print"],
Cell[19130, 579, 420, 9, 21, "Print"],
Cell[19553, 590, 250, 7, 21, "Print"],
Cell[19806, 599, 390, 7, 21, "Print"],
Cell[20199, 608, 473, 11, 21, "Print"],
Cell[20675, 621, 252, 7, 21, "Print"],
Cell[20930, 630, 419, 9, 21, "Print"],
Cell[21352, 641, 250, 7, 21, "Print"],
Cell[21605, 650, 494, 12, 21, "Print"],
Cell[22102, 664, 390, 7, 21, "Print"],
Cell[22495, 673, 190, 5, 21, "Print"],
Cell[22688, 680, 263, 7, 21, "Print"],
Cell[22954, 689, 265, 7, 21, "Print"],
Cell[23222, 698, 390, 7, 21, "Print"],
Cell[23615, 707, 263, 7, 21, "Print"],
Cell[23881, 716, 390, 7, 21, "Print"],
Cell[24274, 725, 263, 7, 21, "Print"],
Cell[24540, 734, 390, 7, 21, "Print"],
Cell[24933, 743, 419, 9, 21, "Print"],
Cell[25355, 754, 265, 7, 21, "Print"],
Cell[25623, 763, 262, 7, 21, "Print"],
Cell[25888, 772, 265, 7, 21, "Print"],
Cell[26156, 781, 471, 11, 21, "Print"],
Cell[26630, 794, 421, 9, 21, "Print"],
Cell[27054, 805, 265, 7, 21, "Print"],
Cell[27322, 814, 470, 11, 21, "Print"],
Cell[27795, 827, 421, 9, 21, "Print"],
Cell[28219, 838, 263, 7, 21, "Print"],
Cell[28485, 847, 265, 7, 21, "Print"],
Cell[28753, 856, 265, 7, 21, "Print"],
Cell[29021, 865, 265, 7, 21, "Print"],
Cell[29289, 874, 421, 9, 21, "Print"],
Cell[29713, 885, 392, 7, 21, "Print"],
Cell[30108, 894, 265, 7, 21, "Print"],
Cell[30376, 903, 263, 7, 21, "Print"],
Cell[30642, 912, 419, 9, 21, "Print"],
Cell[31064, 923, 262, 7, 21, "Print"],
Cell[31329, 932, 392, 7, 21, "Print"],
Cell[31724, 941, 192, 5, 21, "Print"],
Cell[31919, 948, 278, 7, 21, "Print"],
Cell[32200, 957, 276, 7, 21, "Print"],
Cell[32479, 966, 276, 7, 21, "Print"],
Cell[32758, 975, 276, 7, 21, "Print"],
Cell[33037, 984, 275, 7, 21, "Print"],
Cell[33315, 993, 276, 7, 21, "Print"],
Cell[33594, 1002, 276, 7, 21, "Print"],
Cell[33873, 1011, 276, 7, 21, "Print"],
Cell[34152, 1020, 276, 7, 21, "Print"],
Cell[34431, 1029, 276, 7, 21, "Print"],
Cell[34710, 1038, 276, 7, 21, "Print"],
Cell[34989, 1047, 276, 7, 21, "Print"],
Cell[35268, 1056, 216, 5, 21, "Print"]
}, Open  ]]
}, Open  ]],
Cell[35511, 1065, 393, 12, 28, "Input"],
Cell[35907, 1079, 252, 5, 46, "Input"],
Cell[CellGroupData[{
Cell[36184, 1088, 1884, 61, 114, "Input"],
Cell[38071, 1151, 3995, 110, 171, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42103, 1266, 439, 15, 28, "Input"],
Cell[42545, 1283, 419, 15, 61, "Output"]
}, Open  ]],
Cell[42979, 1301, 173, 4, 28, "Input"],
Cell[43155, 1307, 460, 15, 28, "Input"],
Cell[CellGroupData[{
Cell[43640, 1326, 506, 16, 28, "Input"],
Cell[CellGroupData[{
Cell[44171, 1346, 96, 1, 21, "Print"],
Cell[44270, 1349, 159, 4, 21, "Print"],
Cell[44432, 1355, 103, 1, 21, "Print"],
Cell[44538, 1358, 351, 7, 21, "Print"],
Cell[44892, 1367, 351, 7, 21, "Print"],
Cell[45246, 1376, 351, 7, 21, "Print"],
Cell[45600, 1385, 353, 7, 21, "Print"],
Cell[45956, 1394, 351, 7, 21, "Print"],
Cell[46310, 1403, 224, 5, 21, "Print"],
Cell[46537, 1410, 222, 5, 21, "Print"],
Cell[46762, 1417, 222, 5, 21, "Print"],
Cell[46987, 1424, 222, 5, 21, "Print"],
Cell[47212, 1431, 222, 5, 21, "Print"]
}, Open  ]],
Cell[47449, 1439, 1060, 25, 96, "Output"]
}, Open  ]],
Cell[48524, 1467, 122, 3, 28, "Input"],
Cell[CellGroupData[{
Cell[48671, 1474, 753, 19, 178, "Input"],
Cell[49427, 1495, 782, 19, 94, "Output"]
}, Open  ]],
Cell[50224, 1517, 454, 9, 63, "Input"],
Cell[50681, 1528, 3967, 107, 284, "Input"],
Cell[CellGroupData[{
Cell[54673, 1639, 540, 14, 46, "Input"],
Cell[55216, 1655, 2918, 85, 185, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58171, 1745, 219, 6, 28, "Input"],
Cell[58393, 1753, 274, 7, 34, "Message"],
Cell[58670, 1762, 246, 6, 20, "Message"],
Cell[58919, 1770, 273, 7, 34, "Message"],
Cell[59195, 1779, 453, 9, 34, "Message"],
Cell[59651, 1790, 216, 6, 20, "Message"],
Cell[59870, 1798, 218, 6, 20, "Message"],
Cell[60091, 1806, 215, 6, 20, "Message"],
Cell[60309, 1814, 451, 9, 34, "Message"],
Cell[60763, 1825, 899, 29, 84, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61699, 1859, 182, 5, 28, "Input"],
Cell[CellGroupData[{
Cell[61906, 1868, 82, 1, 21, "Print"],
Cell[61991, 1871, 390, 7, 21, "Print"],
Cell[62384, 1880, 390, 7, 21, "Print"],
Cell[62777, 1889, 475, 11, 21, "Print"],
Cell[63255, 1902, 475, 11, 21, "Print"],
Cell[63733, 1915, 495, 10, 21, "Print"],
Cell[64231, 1927, 190, 5, 21, "Print"],
Cell[64424, 1934, 224, 6, 21, "Print"],
Cell[64651, 1942, 461, 11, 21, "Print"],
Cell[65115, 1955, 475, 11, 21, "Print"],
Cell[65593, 1968, 222, 6, 21, "Print"],
Cell[65818, 1976, 390, 7, 21, "Print"],
Cell[66211, 1985, 463, 11, 21, "Print"],
Cell[66677, 1998, 475, 11, 21, "Print"],
Cell[67155, 2011, 474, 11, 21, "Print"],
Cell[67632, 2024, 496, 10, 21, "Print"],
Cell[68131, 2036, 494, 11, 21, "Print"],
Cell[68628, 2049, 222, 6, 21, "Print"],
Cell[68853, 2057, 390, 7, 21, "Print"],
Cell[69246, 2066, 224, 6, 21, "Print"],
Cell[69473, 2074, 390, 7, 21, "Print"],
Cell[69866, 2083, 500, 12, 21, "Print"],
Cell[70369, 2097, 390, 7, 21, "Print"],
Cell[70762, 2106, 222, 6, 21, "Print"],
Cell[70987, 2114, 500, 12, 21, "Print"],
Cell[71490, 2128, 390, 7, 21, "Print"],
Cell[71883, 2137, 469, 10, 21, "Print"],
Cell[72355, 2149, 558, 12, 21, "Print"],
Cell[72916, 2163, 192, 5, 21, "Print"],
Cell[73111, 2170, 252, 7, 21, "Print"],
Cell[73366, 2179, 250, 7, 21, "Print"],
Cell[73619, 2188, 460, 11, 21, "Print"],
Cell[74082, 2201, 390, 7, 21, "Print"],
Cell[74475, 2210, 250, 7, 21, "Print"],
Cell[74728, 2219, 442, 10, 21, "Print"],
Cell[75173, 2231, 477, 11, 21, "Print"],
Cell[75653, 2244, 494, 11, 21, "Print"],
Cell[76150, 2257, 250, 7, 21, "Print"],
Cell[76403, 2266, 475, 11, 21, "Print"],
Cell[76881, 2279, 492, 11, 21, "Print"],
Cell[77376, 2292, 250, 7, 21, "Print"],
Cell[77629, 2301, 390, 7, 21, "Print"],
Cell[78022, 2310, 252, 7, 21, "Print"],
Cell[78277, 2319, 467, 11, 21, "Print"],
Cell[78747, 2332, 392, 7, 21, "Print"],
Cell[79142, 2341, 461, 11, 21, "Print"],
Cell[79606, 2354, 390, 7, 21, "Print"],
Cell[79999, 2363, 250, 7, 21, "Print"],
Cell[80252, 2372, 500, 12, 21, "Print"],
Cell[80755, 2386, 392, 7, 21, "Print"],
Cell[81150, 2395, 461, 11, 21, "Print"],
Cell[81614, 2408, 560, 12, 21, "Print"],
Cell[82177, 2422, 252, 7, 21, "Print"],
Cell[82432, 2431, 508, 11, 21, "Print"],
Cell[82943, 2444, 252, 7, 21, "Print"],
Cell[83198, 2453, 250, 7, 21, "Print"],
Cell[83451, 2462, 500, 12, 21, "Print"],
Cell[83954, 2476, 461, 11, 21, "Print"],
Cell[84418, 2489, 250, 7, 21, "Print"],
Cell[84671, 2498, 478, 11, 21, "Print"],
Cell[85152, 2511, 250, 7, 21, "Print"],
Cell[85405, 2520, 392, 7, 21, "Print"],
Cell[85800, 2529, 500, 12, 21, "Print"],
Cell[86303, 2543, 390, 7, 21, "Print"],
Cell[86696, 2552, 250, 7, 21, "Print"],
Cell[86949, 2561, 481, 11, 21, "Print"],
Cell[87433, 2574, 392, 7, 21, "Print"],
Cell[87828, 2583, 250, 7, 21, "Print"],
Cell[88081, 2592, 469, 11, 21, "Print"],
Cell[88553, 2605, 461, 11, 21, "Print"],
Cell[89017, 2618, 250, 7, 21, "Print"],
Cell[89270, 2627, 498, 12, 21, "Print"],
Cell[89771, 2641, 392, 7, 21, "Print"],
Cell[90166, 2650, 250, 7, 21, "Print"],
Cell[90419, 2659, 500, 12, 21, "Print"],
Cell[90922, 2673, 389, 7, 21, "Print"],
Cell[91314, 2682, 500, 12, 21, "Print"],
Cell[91817, 2696, 392, 7, 21, "Print"],
Cell[92212, 2705, 469, 10, 21, "Print"],
Cell[92684, 2717, 190, 5, 21, "Print"],
Cell[92877, 2724, 263, 7, 21, "Print"],
Cell[93143, 2733, 263, 7, 21, "Print"],
Cell[93409, 2742, 463, 11, 21, "Print"],
Cell[93875, 2755, 263, 7, 21, "Print"],
Cell[94141, 2764, 474, 11, 21, "Print"],
Cell[94618, 2777, 496, 11, 21, "Print"],
Cell[95117, 2790, 265, 7, 21, "Print"],
Cell[95385, 2799, 390, 7, 21, "Print"],
Cell[95778, 2808, 263, 7, 21, "Print"],
Cell[96044, 2817, 510, 11, 21, "Print"],
Cell[96557, 2830, 265, 7, 21, "Print"],
Cell[96825, 2839, 390, 7, 21, "Print"],
Cell[97218, 2848, 263, 7, 21, "Print"],
Cell[97484, 2857, 419, 9, 21, "Print"],
Cell[97906, 2868, 508, 11, 21, "Print"],
Cell[98417, 2881, 265, 7, 21, "Print"],
Cell[98685, 2890, 265, 7, 21, "Print"],
Cell[98953, 2899, 444, 10, 21, "Print"],
Cell[99400, 2911, 463, 11, 21, "Print"],
Cell[99866, 2924, 263, 7, 21, "Print"],
Cell[100132, 2933, 469, 11, 21, "Print"],
Cell[100604, 2946, 442, 10, 21, "Print"],
Cell[101049, 2958, 263, 7, 21, "Print"],
Cell[101315, 2967, 265, 7, 21, "Print"],
Cell[101583, 2976, 467, 11, 21, "Print"],
Cell[102053, 2989, 390, 7, 21, "Print"],
Cell[102446, 2998, 461, 11, 21, "Print"],
Cell[102910, 3011, 390, 7, 21, "Print"],
Cell[103303, 3020, 263, 7, 21, "Print"],
Cell[103569, 3029, 479, 11, 21, "Print"],
Cell[104051, 3042, 390, 7, 21, "Print"],
Cell[104444, 3051, 508, 11, 21, "Print"],
Cell[104955, 3064, 262, 7, 21, "Print"],
Cell[105220, 3073, 467, 11, 21, "Print"],
Cell[105690, 3086, 442, 10, 21, "Print"],
Cell[106135, 3098, 263, 7, 21, "Print"],
Cell[106401, 3107, 440, 10, 21, "Print"],
Cell[106844, 3119, 263, 7, 21, "Print"],
Cell[107110, 3128, 469, 11, 21, "Print"],
Cell[107582, 3141, 500, 12, 21, "Print"],
Cell[108085, 3155, 390, 7, 21, "Print"],
Cell[108478, 3164, 461, 11, 21, "Print"],
Cell[108942, 3177, 390, 7, 21, "Print"],
Cell[109335, 3186, 263, 7, 21, "Print"],
Cell[109601, 3195, 500, 12, 21, "Print"],
Cell[110104, 3209, 263, 7, 21, "Print"],
Cell[110370, 3218, 481, 11, 21, "Print"],
Cell[110854, 3231, 265, 7, 21, "Print"],
Cell[111122, 3240, 265, 7, 21, "Print"],
Cell[111390, 3249, 263, 7, 21, "Print"],
Cell[111656, 3258, 500, 12, 21, "Print"],
Cell[112159, 3272, 461, 11, 21, "Print"],
Cell[112623, 3285, 390, 7, 21, "Print"],
Cell[113016, 3294, 263, 7, 21, "Print"],
Cell[113282, 3303, 481, 11, 21, "Print"],
Cell[113766, 3316, 392, 7, 21, "Print"],
Cell[114161, 3325, 265, 7, 21, "Print"],
Cell[114429, 3334, 265, 7, 21, "Print"],
Cell[114697, 3343, 390, 7, 21, "Print"],
Cell[115090, 3352, 263, 7, 21, "Print"],
Cell[115356, 3361, 263, 7, 21, "Print"],
Cell[115622, 3370, 442, 10, 21, "Print"],
Cell[116067, 3382, 461, 11, 21, "Print"],
Cell[116531, 3395, 390, 7, 21, "Print"],
Cell[116924, 3404, 265, 7, 21, "Print"],
Cell[117192, 3413, 263, 7, 21, "Print"],
Cell[117458, 3422, 479, 11, 21, "Print"],
Cell[117940, 3435, 471, 10, 21, "Print"],
Cell[118414, 3447, 390, 7, 21, "Print"],
Cell[118807, 3456, 508, 11, 21, "Print"],
Cell[119318, 3469, 263, 7, 21, "Print"],
Cell[119584, 3478, 467, 11, 21, "Print"],
Cell[120054, 3491, 461, 11, 21, "Print"],
Cell[120518, 3504, 263, 7, 21, "Print"],
Cell[120784, 3513, 499, 12, 21, "Print"],
Cell[121286, 3527, 479, 11, 21, "Print"],
Cell[121768, 3540, 263, 7, 21, "Print"],
Cell[122034, 3549, 467, 11, 21, "Print"],
Cell[122504, 3562, 500, 12, 21, "Print"],
Cell[123007, 3576, 461, 11, 21, "Print"],
Cell[123471, 3589, 263, 7, 21, "Print"],
Cell[123737, 3598, 481, 11, 21, "Print"],
Cell[124221, 3611, 263, 7, 21, "Print"],
Cell[124487, 3620, 500, 12, 21, "Print"],
Cell[124990, 3634, 390, 7, 21, "Print"],
Cell[125383, 3643, 502, 12, 21, "Print"],
Cell[125888, 3657, 263, 7, 21, "Print"],
Cell[126154, 3666, 502, 12, 21, "Print"],
Cell[126659, 3680, 390, 7, 21, "Print"],
Cell[127052, 3689, 500, 12, 21, "Print"],
Cell[127555, 3703, 190, 5, 21, "Print"],
Cell[127748, 3710, 276, 7, 21, "Print"],
Cell[128027, 3719, 276, 7, 21, "Print"],
Cell[128306, 3728, 392, 7, 21, "Print"],
Cell[128701, 3737, 276, 7, 21, "Print"],
Cell[128980, 3746, 418, 9, 21, "Print"],
Cell[129401, 3757, 508, 11, 21, "Print"],
Cell[129912, 3770, 278, 7, 21, "Print"],
Cell[130193, 3779, 276, 7, 21, "Print"],
Cell[130472, 3788, 500, 12, 21, "Print"],
Cell[130975, 3802, 276, 7, 21, "Print"],
Cell[131254, 3811, 278, 7, 21, "Print"],
Cell[131535, 3820, 278, 7, 21, "Print"],
Cell[131816, 3829, 500, 12, 21, "Print"],
Cell[132319, 3843, 276, 7, 21, "Print"],
Cell[132598, 3852, 419, 9, 21, "Print"],
Cell[133020, 3863, 419, 9, 21, "Print"],
Cell[133442, 3874, 469, 11, 21, "Print"],
Cell[133914, 3887, 278, 7, 21, "Print"],
Cell[134195, 3896, 419, 9, 21, "Print"],
Cell[134617, 3907, 419, 9, 21, "Print"],
Cell[135039, 3918, 276, 7, 21, "Print"],
Cell[135318, 3927, 442, 10, 21, "Print"],
Cell[135763, 3939, 276, 7, 21, "Print"],
Cell[136042, 3948, 469, 11, 21, "Print"],
Cell[136514, 3961, 276, 7, 21, "Print"],
Cell[136793, 3970, 442, 10, 21, "Print"],
Cell[137238, 3982, 460, 11, 21, "Print"],
Cell[137701, 3995, 467, 11, 21, "Print"],
Cell[138171, 4008, 390, 7, 21, "Print"],
Cell[138564, 4017, 278, 7, 21, "Print"],
Cell[138845, 4026, 469, 11, 21, "Print"],
Cell[139317, 4039, 442, 10, 21, "Print"],
Cell[139762, 4051, 390, 7, 21, "Print"],
Cell[140155, 4060, 276, 7, 21, "Print"],
Cell[140434, 4069, 390, 7, 21, "Print"],
Cell[140827, 4078, 276, 7, 21, "Print"],
Cell[141106, 4087, 275, 7, 21, "Print"],
Cell[141384, 4096, 390, 7, 21, "Print"],
Cell[141777, 4105, 276, 7, 21, "Print"],
Cell[142056, 4114, 278, 7, 21, "Print"],
Cell[142337, 4123, 479, 11, 21, "Print"],
Cell[142819, 4136, 500, 12, 21, "Print"],
Cell[143322, 4150, 275, 7, 21, "Print"],
Cell[143600, 4159, 442, 10, 21, "Print"],
Cell[144045, 4171, 392, 7, 21, "Print"],
Cell[144440, 4180, 276, 7, 21, "Print"],
Cell[144719, 4189, 469, 11, 21, "Print"],
Cell[145191, 4202, 419, 9, 21, "Print"],
Cell[145613, 4213, 276, 7, 21, "Print"],
Cell[145892, 4222, 421, 9, 21, "Print"],
Cell[146316, 4233, 276, 7, 21, "Print"],
Cell[146595, 4242, 444, 10, 21, "Print"],
Cell[147042, 4254, 461, 11, 21, "Print"],
Cell[147506, 4267, 278, 7, 21, "Print"],
Cell[147787, 4276, 479, 11, 21, "Print"],
Cell[148269, 4289, 276, 7, 21, "Print"],
Cell[148548, 4298, 467, 11, 21, "Print"],
Cell[149018, 4311, 444, 10, 21, "Print"],
Cell[149465, 4323, 278, 7, 21, "Print"],
Cell[149746, 4332, 440, 10, 21, "Print"],
Cell[150189, 4344, 276, 7, 21, "Print"],
Cell[150468, 4353, 466, 11, 21, "Print"],
Cell[150937, 4366, 500, 12, 21, "Print"],
Cell[151440, 4380, 389, 7, 21, "Print"],
Cell[151832, 4389, 461, 11, 21, "Print"],
Cell[152296, 4402, 275, 7, 21, "Print"],
Cell[152574, 4411, 278, 7, 21, "Print"],
Cell[152855, 4420, 276, 7, 21, "Print"],
Cell[153134, 4429, 479, 11, 21, "Print"],
Cell[153616, 4442, 392, 7, 21, "Print"],
Cell[154011, 4451, 276, 7, 21, "Print"],
Cell[154290, 4460, 278, 7, 21, "Print"],
Cell[154571, 4469, 461, 11, 21, "Print"],
Cell[155035, 4482, 276, 7, 21, "Print"],
Cell[155314, 4491, 390, 7, 21, "Print"],
Cell[155707, 4500, 276, 7, 21, "Print"],
Cell[155986, 4509, 276, 7, 21, "Print"],
Cell[156265, 4518, 278, 7, 21, "Print"],
Cell[156546, 4527, 421, 9, 21, "Print"],
Cell[156970, 4538, 390, 7, 21, "Print"],
Cell[157363, 4547, 276, 7, 21, "Print"],
Cell[157642, 4556, 278, 7, 21, "Print"],
Cell[157923, 4565, 461, 11, 21, "Print"],
Cell[158387, 4578, 276, 7, 21, "Print"],
Cell[158666, 4587, 392, 7, 21, "Print"],
Cell[159061, 4596, 276, 7, 21, "Print"],
Cell[159340, 4605, 278, 7, 21, "Print"],
Cell[159621, 4614, 276, 7, 21, "Print"],
Cell[159900, 4623, 479, 11, 21, "Print"],
Cell[160382, 4636, 276, 7, 21, "Print"],
Cell[160661, 4645, 442, 10, 21, "Print"],
Cell[161106, 4657, 463, 11, 21, "Print"],
Cell[161572, 4670, 469, 10, 21, "Print"],
Cell[162044, 4682, 390, 7, 21, "Print"],
Cell[162437, 4691, 273, 7, 21, "Print"],
Cell[162713, 4700, 276, 7, 21, "Print"],
Cell[162992, 4709, 481, 11, 21, "Print"],
Cell[163476, 4722, 278, 7, 21, "Print"],
Cell[163757, 4731, 278, 7, 21, "Print"],
Cell[164038, 4740, 442, 10, 21, "Print"],
Cell[164483, 4752, 461, 11, 21, "Print"],
Cell[164947, 4765, 276, 7, 21, "Print"],
Cell[165226, 4774, 481, 11, 21, "Print"],
Cell[165710, 4787, 278, 7, 21, "Print"],
Cell[165991, 4796, 276, 7, 21, "Print"],
Cell[166270, 4805, 276, 7, 21, "Print"],
Cell[166549, 4814, 502, 12, 21, "Print"],
Cell[167054, 4828, 479, 11, 21, "Print"],
Cell[167536, 4841, 278, 7, 21, "Print"],
Cell[167817, 4850, 467, 11, 21, "Print"],
Cell[168287, 4863, 500, 12, 21, "Print"],
Cell[168790, 4877, 463, 11, 21, "Print"],
Cell[169256, 4890, 278, 7, 21, "Print"],
Cell[169537, 4899, 479, 11, 21, "Print"],
Cell[170019, 4912, 275, 7, 21, "Print"],
Cell[170297, 4921, 502, 12, 21, "Print"],
Cell[170802, 4935, 479, 11, 21, "Print"],
Cell[171284, 4948, 278, 7, 21, "Print"],
Cell[171565, 4957, 467, 11, 21, "Print"],
Cell[172035, 4970, 500, 12, 21, "Print"],
Cell[172538, 4984, 463, 11, 21, "Print"],
Cell[173004, 4997, 276, 7, 21, "Print"],
Cell[173283, 5006, 481, 11, 21, "Print"],
Cell[173767, 5019, 479, 11, 21, "Print"],
Cell[174249, 5032, 190, 5, 21, "Print"],
Cell[174442, 5039, 289, 7, 21, "Print"],
Cell[174734, 5048, 289, 7, 21, "Print"],
Cell[175026, 5057, 289, 7, 21, "Print"],
Cell[175318, 5066, 499, 12, 21, "Print"],
Cell[175820, 5080, 289, 7, 21, "Print"],
Cell[176112, 5089, 289, 7, 21, "Print"],
Cell[176404, 5098, 289, 7, 21, "Print"],
Cell[176696, 5107, 419, 9, 21, "Print"],
Cell[177118, 5118, 289, 7, 21, "Print"],
Cell[177410, 5127, 390, 7, 21, "Print"],
Cell[177803, 5136, 291, 7, 21, "Print"],
Cell[178097, 5145, 421, 9, 21, "Print"],
Cell[178521, 5156, 419, 9, 21, "Print"],
Cell[178943, 5167, 291, 7, 21, "Print"],
Cell[179237, 5176, 419, 9, 21, "Print"],
Cell[179659, 5187, 289, 7, 21, "Print"],
Cell[179951, 5196, 289, 7, 21, "Print"],
Cell[180243, 5205, 419, 9, 21, "Print"],
Cell[180665, 5216, 291, 7, 21, "Print"],
Cell[180959, 5225, 421, 9, 21, "Print"],
Cell[181383, 5236, 289, 7, 21, "Print"],
Cell[181675, 5245, 419, 9, 21, "Print"],
Cell[182097, 5256, 419, 9, 21, "Print"],
Cell[182519, 5267, 467, 11, 21, "Print"],
Cell[182989, 5280, 390, 7, 21, "Print"],
Cell[183382, 5289, 469, 11, 21, "Print"],
Cell[183854, 5302, 291, 7, 21, "Print"],
Cell[184148, 5311, 421, 9, 21, "Print"],
Cell[184572, 5322, 467, 11, 21, "Print"],
Cell[185042, 5335, 419, 9, 21, "Print"],
Cell[185464, 5346, 390, 7, 21, "Print"],
Cell[185857, 5355, 288, 7, 21, "Print"],
Cell[186148, 5364, 419, 9, 21, "Print"],
Cell[186570, 5375, 419, 9, 21, "Print"],
Cell[186992, 5386, 289, 7, 21, "Print"],
Cell[187284, 5395, 291, 7, 21, "Print"],
Cell[187578, 5404, 442, 10, 21, "Print"],
Cell[188023, 5416, 392, 7, 21, "Print"],
Cell[188418, 5425, 291, 7, 21, "Print"],
Cell[188712, 5434, 467, 11, 21, "Print"],
Cell[189182, 5447, 390, 7, 21, "Print"],
Cell[189575, 5456, 289, 7, 21, "Print"],
Cell[189867, 5465, 289, 7, 21, "Print"],
Cell[190159, 5474, 291, 7, 21, "Print"],
Cell[190453, 5483, 289, 7, 21, "Print"],
Cell[190745, 5492, 499, 12, 21, "Print"],
Cell[191247, 5506, 291, 7, 21, "Print"],
Cell[191541, 5515, 478, 11, 21, "Print"],
Cell[192022, 5528, 288, 7, 21, "Print"],
Cell[192313, 5537, 419, 9, 21, "Print"],
Cell[192735, 5548, 390, 7, 21, "Print"],
Cell[193128, 5557, 289, 7, 21, "Print"],
Cell[193420, 5566, 289, 7, 21, "Print"],
Cell[193712, 5575, 418, 9, 21, "Print"],
Cell[194133, 5586, 390, 7, 21, "Print"],
Cell[194526, 5595, 291, 7, 21, "Print"],
Cell[194820, 5604, 419, 9, 21, "Print"],
Cell[195242, 5615, 291, 7, 21, "Print"],
Cell[195536, 5624, 291, 7, 21, "Print"],
Cell[195830, 5633, 418, 9, 21, "Print"],
Cell[196251, 5644, 419, 9, 21, "Print"],
Cell[196673, 5655, 291, 7, 21, "Print"],
Cell[196967, 5664, 419, 9, 21, "Print"],
Cell[197389, 5675, 442, 10, 21, "Print"],
Cell[197834, 5687, 289, 7, 21, "Print"],
Cell[198126, 5696, 289, 7, 21, "Print"],
Cell[198418, 5705, 442, 10, 21, "Print"],
Cell[198863, 5717, 96, 1, 21, "Print"],
Cell[198962, 5720, 442, 10, 21, "Print"],
Cell[199407, 5732, 289, 7, 21, "Print"],
Cell[199699, 5741, 467, 11, 21, "Print"],
Cell[200169, 5754, 419, 9, 21, "Print"],
Cell[200591, 5765, 289, 7, 21, "Print"],
Cell[200883, 5774, 291, 7, 21, "Print"],
Cell[201177, 5783, 419, 9, 21, "Print"],
Cell[201599, 5794, 419, 9, 21, "Print"],
Cell[202021, 5805, 444, 10, 21, "Print"],
Cell[202468, 5817, 461, 11, 21, "Print"],
Cell[202932, 5830, 291, 7, 21, "Print"],
Cell[203226, 5839, 479, 11, 21, "Print"],
Cell[203708, 5852, 289, 7, 21, "Print"],
Cell[204000, 5861, 469, 11, 21, "Print"],
Cell[204472, 5874, 442, 10, 21, "Print"],
Cell[204917, 5886, 289, 7, 21, "Print"],
Cell[205209, 5895, 289, 7, 21, "Print"],
Cell[205501, 5904, 390, 7, 21, "Print"],
Cell[205894, 5913, 291, 7, 21, "Print"],
Cell[206188, 5922, 289, 7, 21, "Print"],
Cell[206480, 5931, 289, 7, 21, "Print"],
Cell[206772, 5940, 289, 7, 21, "Print"],
Cell[207064, 5949, 390, 7, 21, "Print"],
Cell[207457, 5958, 291, 7, 21, "Print"],
Cell[207751, 5967, 289, 7, 21, "Print"],
Cell[208043, 5976, 289, 7, 21, "Print"],
Cell[208335, 5985, 291, 7, 21, "Print"],
Cell[208629, 5994, 291, 7, 21, "Print"],
Cell[208923, 6003, 419, 9, 21, "Print"],
Cell[209345, 6014, 419, 9, 21, "Print"],
Cell[209767, 6025, 419, 9, 21, "Print"],
Cell[210189, 6036, 469, 11, 21, "Print"],
Cell[210661, 6049, 390, 7, 21, "Print"],
Cell[211054, 6058, 289, 7, 21, "Print"],
Cell[211346, 6067, 289, 7, 21, "Print"],
Cell[211638, 6076, 461, 11, 21, "Print"],
Cell[212102, 6089, 291, 7, 21, "Print"],
Cell[212396, 6098, 463, 11, 21, "Print"],
Cell[212862, 6111, 289, 7, 21, "Print"],
Cell[213154, 6120, 291, 7, 21, "Print"],
Cell[213448, 6129, 419, 9, 21, "Print"],
Cell[213870, 6140, 291, 7, 21, "Print"],
Cell[214164, 6149, 289, 7, 21, "Print"],
Cell[214456, 6158, 289, 7, 21, "Print"],
Cell[214748, 6167, 479, 11, 21, "Print"],
Cell[215230, 6180, 289, 7, 21, "Print"],
Cell[215522, 6189, 291, 7, 21, "Print"],
Cell[215816, 6198, 444, 10, 21, "Print"],
Cell[216263, 6210, 461, 11, 21, "Print"],
Cell[216727, 6223, 289, 7, 21, "Print"],
Cell[217019, 6232, 479, 11, 21, "Print"],
Cell[217501, 6245, 289, 7, 21, "Print"],
Cell[217793, 6254, 289, 7, 21, "Print"],
Cell[218085, 6263, 291, 7, 21, "Print"],
Cell[218379, 6272, 479, 11, 21, "Print"],
Cell[218861, 6285, 479, 11, 21, "Print"],
Cell[219343, 6298, 481, 11, 21, "Print"],
Cell[219827, 6311, 289, 7, 21, "Print"],
Cell[220119, 6320, 291, 7, 21, "Print"],
Cell[220413, 6329, 442, 10, 21, "Print"],
Cell[220858, 6341, 463, 11, 21, "Print"],
Cell[221324, 6354, 289, 7, 21, "Print"],
Cell[221616, 6363, 479, 11, 21, "Print"],
Cell[222098, 6376, 479, 11, 21, "Print"],
Cell[222580, 6389, 289, 7, 21, "Print"],
Cell[222872, 6398, 289, 7, 21, "Print"],
Cell[223164, 6407, 291, 7, 21, "Print"],
Cell[223458, 6416, 190, 5, 21, "Print"],
Cell[223651, 6423, 302, 7, 21, "Print"],
Cell[223956, 6432, 302, 7, 21, "Print"],
Cell[224261, 6441, 302, 7, 21, "Print"],
Cell[224566, 6450, 302, 7, 21, "Print"],
Cell[224871, 6459, 304, 7, 21, "Print"],
Cell[225178, 6468, 302, 7, 21, "Print"],
Cell[225483, 6477, 304, 7, 21, "Print"],
Cell[225790, 6486, 302, 7, 21, "Print"],
Cell[226095, 6495, 302, 7, 21, "Print"],
Cell[226400, 6504, 417, 9, 21, "Print"],
Cell[226820, 6515, 390, 7, 21, "Print"],
Cell[227213, 6524, 302, 7, 21, "Print"],
Cell[227518, 6533, 390, 7, 21, "Print"],
Cell[227911, 6542, 304, 7, 21, "Print"],
Cell[228218, 6551, 419, 9, 21, "Print"],
Cell[228640, 6562, 421, 9, 21, "Print"],
Cell[229064, 6573, 304, 7, 21, "Print"],
Cell[229371, 6582, 302, 7, 21, "Print"],
Cell[229676, 6591, 421, 9, 21, "Print"],
Cell[230100, 6602, 419, 9, 21, "Print"],
Cell[230522, 6613, 304, 7, 21, "Print"],
Cell[230829, 6622, 419, 9, 21, "Print"],
Cell[231251, 6633, 390, 7, 21, "Print"],
Cell[231644, 6642, 304, 7, 21, "Print"],
Cell[231951, 6651, 419, 9, 21, "Print"],
Cell[232373, 6662, 419, 9, 21, "Print"],
Cell[232795, 6673, 302, 7, 21, "Print"],
Cell[233100, 6682, 302, 7, 21, "Print"],
Cell[233405, 6691, 301, 7, 21, "Print"],
Cell[233709, 6700, 302, 7, 21, "Print"],
Cell[234014, 6709, 302, 7, 21, "Print"],
Cell[234319, 6718, 390, 7, 21, "Print"],
Cell[234712, 6727, 418, 9, 21, "Print"],
Cell[235133, 6738, 302, 7, 21, "Print"],
Cell[235438, 6747, 301, 7, 21, "Print"],
Cell[235742, 6756, 390, 7, 21, "Print"],
Cell[236135, 6765, 419, 9, 21, "Print"],
Cell[236557, 6776, 304, 7, 21, "Print"],
Cell[236864, 6785, 302, 7, 21, "Print"],
Cell[237169, 6794, 302, 7, 21, "Print"],
Cell[237474, 6803, 302, 7, 21, "Print"],
Cell[237779, 6812, 418, 9, 21, "Print"],
Cell[238200, 6823, 390, 7, 21, "Print"],
Cell[238593, 6832, 302, 7, 21, "Print"],
Cell[238898, 6841, 302, 7, 21, "Print"],
Cell[239203, 6850, 419, 9, 21, "Print"],
Cell[239625, 6861, 392, 7, 21, "Print"],
Cell[240020, 6870, 301, 7, 21, "Print"],
Cell[240324, 6879, 304, 7, 21, "Print"],
Cell[240631, 6888, 302, 7, 21, "Print"],
Cell[240936, 6897, 304, 7, 21, "Print"],
Cell[241243, 6906, 304, 7, 21, "Print"],
Cell[241550, 6915, 302, 7, 21, "Print"],
Cell[241855, 6924, 302, 7, 21, "Print"],
Cell[242160, 6933, 419, 9, 21, "Print"],
Cell[242582, 6944, 302, 7, 21, "Print"],
Cell[242887, 6953, 421, 9, 21, "Print"],
Cell[243311, 6964, 302, 7, 21, "Print"],
Cell[243616, 6973, 302, 7, 21, "Print"],
Cell[243921, 6982, 301, 7, 21, "Print"],
Cell[244225, 6991, 302, 7, 21, "Print"],
Cell[244530, 7000, 421, 9, 21, "Print"],
Cell[244954, 7011, 419, 9, 21, "Print"],
Cell[245376, 7022, 302, 7, 21, "Print"],
Cell[245681, 7031, 419, 9, 21, "Print"],
Cell[246103, 7042, 421, 9, 21, "Print"],
Cell[246527, 7053, 304, 7, 21, "Print"],
Cell[246834, 7062, 301, 7, 21, "Print"],
Cell[247138, 7071, 442, 10, 21, "Print"],
Cell[247583, 7083, 94, 1, 21, "Print"],
Cell[247680, 7086, 442, 10, 21, "Print"],
Cell[248125, 7098, 304, 7, 21, "Print"],
Cell[248432, 7107, 467, 11, 21, "Print"],
Cell[248902, 7120, 304, 7, 21, "Print"],
Cell[249209, 7129, 304, 7, 21, "Print"],
Cell[249516, 7138, 302, 7, 21, "Print"],
Cell[249821, 7147, 389, 7, 21, "Print"],
Cell[250213, 7156, 304, 7, 21, "Print"],
Cell[250520, 7165, 390, 7, 21, "Print"],
Cell[250913, 7174, 304, 7, 21, "Print"],
Cell[251220, 7183, 390, 7, 21, "Print"],
Cell[251613, 7192, 302, 7, 21, "Print"],
Cell[251918, 7201, 419, 9, 21, "Print"],
Cell[252340, 7212, 419, 9, 21, "Print"],
Cell[252762, 7223, 302, 7, 21, "Print"],
Cell[253067, 7232, 302, 7, 21, "Print"],
Cell[253372, 7241, 302, 7, 21, "Print"],
Cell[253677, 7250, 302, 7, 21, "Print"],
Cell[253982, 7259, 304, 7, 21, "Print"],
Cell[254289, 7268, 302, 7, 21, "Print"],
Cell[254594, 7277, 419, 9, 21, "Print"],
Cell[255016, 7288, 302, 7, 21, "Print"],
Cell[255321, 7297, 302, 7, 21, "Print"],
Cell[255626, 7306, 304, 7, 21, "Print"],
Cell[255933, 7315, 302, 7, 21, "Print"],
Cell[256238, 7324, 302, 7, 21, "Print"],
Cell[256543, 7333, 302, 7, 21, "Print"],
Cell[256848, 7342, 419, 9, 21, "Print"],
Cell[257270, 7353, 419, 9, 21, "Print"],
Cell[257692, 7364, 419, 9, 21, "Print"],
Cell[258114, 7375, 302, 7, 21, "Print"],
Cell[258419, 7384, 302, 7, 21, "Print"],
Cell[258724, 7393, 302, 7, 21, "Print"],
Cell[259029, 7402, 190, 5, 21, "Print"],
Cell[259222, 7409, 320, 8, 21, "Print"],
Cell[259545, 7419, 320, 8, 21, "Print"],
Cell[259868, 7429, 322, 8, 21, "Print"],
Cell[260193, 7439, 320, 8, 21, "Print"],
Cell[260516, 7449, 322, 8, 21, "Print"],
Cell[260841, 7459, 320, 8, 21, "Print"],
Cell[261164, 7469, 322, 8, 21, "Print"],
Cell[261489, 7479, 322, 8, 21, "Print"],
Cell[261814, 7489, 320, 8, 21, "Print"],
Cell[262137, 7499, 322, 8, 21, "Print"],
Cell[262462, 7509, 320, 8, 21, "Print"],
Cell[262785, 7519, 320, 8, 21, "Print"],
Cell[263108, 7529, 322, 8, 21, "Print"],
Cell[263433, 7539, 322, 8, 21, "Print"],
Cell[263758, 7549, 322, 8, 21, "Print"],
Cell[264083, 7559, 322, 8, 21, "Print"],
Cell[264408, 7569, 320, 8, 21, "Print"],
Cell[264731, 7579, 320, 8, 21, "Print"],
Cell[265054, 7589, 320, 8, 21, "Print"],
Cell[265377, 7599, 320, 8, 21, "Print"],
Cell[265700, 7609, 319, 8, 21, "Print"],
Cell[266022, 7619, 320, 8, 21, "Print"],
Cell[266345, 7629, 320, 8, 21, "Print"],
Cell[266668, 7639, 319, 8, 21, "Print"],
Cell[266990, 7649, 320, 8, 21, "Print"],
Cell[267313, 7659, 320, 8, 21, "Print"],
Cell[267636, 7669, 320, 8, 21, "Print"],
Cell[267959, 7679, 320, 8, 21, "Print"],
Cell[268282, 7689, 320, 8, 21, "Print"],
Cell[268605, 7699, 322, 8, 21, "Print"],
Cell[268930, 7709, 320, 8, 21, "Print"],
Cell[269253, 7719, 322, 8, 21, "Print"],
Cell[269578, 7729, 320, 8, 21, "Print"],
Cell[269901, 7739, 320, 8, 21, "Print"],
Cell[270224, 7749, 320, 8, 21, "Print"],
Cell[270547, 7759, 320, 8, 21, "Print"],
Cell[270870, 7769, 220, 5, 21, "Print"]
}, Open  ]]
}, Open  ]],
Cell[271117, 7778, 268, 8, 28, "Input"],
Cell[271388, 7788, 549, 18, 28, "Input"],
Cell[271940, 7808, 157, 4, 28, "Input"],
Cell[CellGroupData[{
Cell[272122, 7816, 1068, 36, 63, "Input"],
Cell[273193, 7854, 2155, 63, 158, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[275385, 7922, 184, 6, 28, "Input"],
Cell[275572, 7930, 453, 16, 57, "Output"]
}, Open  ]],
Cell[276040, 7949, 173, 4, 28, "Input"],
Cell[276216, 7955, 247, 8, 28, "Input"],
Cell[276466, 7965, 526, 17, 28, "Input"],
Cell[CellGroupData[{
Cell[277017, 7986, 489, 15, 46, "Input"],
Cell[CellGroupData[{
Cell[277531, 8005, 98, 1, 21, "Print"],
Cell[277632, 8008, 262, 5, 21, "Print"],
Cell[277897, 8015, 104, 1, 21, "Print"],
Cell[278004, 8018, 351, 7, 21, "Print"],
Cell[278358, 8027, 351, 7, 21, "Print"],
Cell[278712, 8036, 351, 7, 21, "Print"],
Cell[279066, 8045, 350, 7, 21, "Print"],
Cell[279419, 8054, 351, 7, 21, "Print"],
Cell[279773, 8063, 353, 7, 21, "Print"],
Cell[280129, 8072, 353, 7, 21, "Print"],
Cell[280485, 8081, 351, 7, 21, "Print"],
Cell[280839, 8090, 351, 7, 21, "Print"],
Cell[281193, 8099, 353, 7, 21, "Print"],
Cell[281549, 8108, 353, 7, 21, "Print"],
Cell[281905, 8117, 353, 7, 21, "Print"],
Cell[282261, 8126, 355, 7, 21, "Print"],
Cell[282619, 8135, 353, 7, 21, "Print"],
Cell[282975, 8144, 355, 7, 21, "Print"],
Cell[283333, 8153, 355, 7, 21, "Print"],
Cell[283691, 8162, 353, 7, 21, "Print"],
Cell[284047, 8171, 353, 7, 21, "Print"],
Cell[284403, 8180, 353, 7, 21, "Print"],
Cell[284759, 8189, 352, 7, 21, "Print"],
Cell[285114, 8198, 353, 7, 21, "Print"],
Cell[285470, 8207, 353, 7, 21, "Print"],
Cell[285826, 8216, 353, 7, 21, "Print"],
Cell[286182, 8225, 353, 7, 21, "Print"],
Cell[286538, 8234, 353, 7, 21, "Print"],
Cell[286894, 8243, 353, 7, 21, "Print"],
Cell[287250, 8252, 352, 7, 21, "Print"],
Cell[287605, 8261, 353, 7, 21, "Print"],
Cell[287961, 8270, 353, 7, 21, "Print"],
Cell[288317, 8279, 352, 7, 21, "Print"],
Cell[288672, 8288, 355, 7, 21, "Print"],
Cell[289030, 8297, 353, 7, 21, "Print"],
Cell[289386, 8306, 353, 7, 21, "Print"],
Cell[289742, 8315, 355, 7, 21, "Print"],
Cell[290100, 8324, 353, 7, 21, "Print"],
Cell[290456, 8333, 353, 7, 21, "Print"],
Cell[290812, 8342, 353, 7, 21, "Print"],
Cell[291168, 8351, 354, 7, 21, "Print"],
Cell[291525, 8360, 354, 7, 21, "Print"],
Cell[291882, 8369, 357, 7, 21, "Print"],
Cell[292242, 8378, 355, 7, 21, "Print"],
Cell[292600, 8387, 357, 7, 21, "Print"],
Cell[292960, 8396, 357, 7, 21, "Print"],
Cell[293320, 8405, 355, 7, 21, "Print"],
Cell[293678, 8414, 355, 7, 21, "Print"],
Cell[294036, 8423, 355, 7, 21, "Print"],
Cell[294394, 8432, 355, 7, 21, "Print"],
Cell[294752, 8441, 355, 7, 21, "Print"],
Cell[295110, 8450, 357, 7, 21, "Print"],
Cell[295470, 8459, 355, 7, 21, "Print"],
Cell[295828, 8468, 355, 7, 21, "Print"],
Cell[296186, 8477, 355, 7, 21, "Print"],
Cell[296544, 8486, 357, 7, 21, "Print"],
Cell[296904, 8495, 355, 7, 21, "Print"],
Cell[297262, 8504, 355, 7, 21, "Print"],
Cell[297620, 8513, 355, 7, 21, "Print"],
Cell[297978, 8522, 355, 7, 21, "Print"],
Cell[298336, 8531, 355, 7, 21, "Print"],
Cell[298694, 8540, 355, 7, 21, "Print"],
Cell[299052, 8549, 355, 7, 21, "Print"],
Cell[299410, 8558, 355, 7, 21, "Print"],
Cell[299768, 8567, 354, 7, 21, "Print"],
Cell[300125, 8576, 355, 7, 21, "Print"],
Cell[300483, 8585, 355, 7, 21, "Print"],
Cell[300841, 8594, 357, 7, 21, "Print"],
Cell[301201, 8603, 355, 7, 21, "Print"],
Cell[301559, 8612, 355, 7, 21, "Print"],
Cell[301917, 8621, 354, 7, 21, "Print"],
Cell[302274, 8630, 355, 7, 21, "Print"],
Cell[302632, 8639, 222, 5, 21, "Print"],
Cell[302857, 8646, 222, 5, 21, "Print"],
Cell[303082, 8653, 222, 5, 21, "Print"],
Cell[303307, 8660, 222, 5, 21, "Print"],
Cell[303532, 8667, 222, 5, 21, "Print"],
Cell[303757, 8674, 221, 5, 21, "Print"],
Cell[303981, 8681, 224, 5, 21, "Print"],
Cell[304208, 8688, 222, 5, 21, "Print"],
Cell[304433, 8695, 222, 5, 21, "Print"],
Cell[304658, 8702, 222, 5, 21, "Print"],
Cell[304883, 8709, 224, 5, 21, "Print"],
Cell[305110, 8716, 224, 5, 21, "Print"],
Cell[305337, 8723, 224, 5, 21, "Print"],
Cell[305564, 8730, 224, 5, 21, "Print"],
Cell[305791, 8737, 224, 5, 21, "Print"],
Cell[306018, 8744, 224, 5, 21, "Print"],
Cell[306245, 8751, 224, 5, 21, "Print"],
Cell[306472, 8758, 224, 5, 21, "Print"],
Cell[306699, 8765, 224, 5, 21, "Print"],
Cell[306926, 8772, 224, 5, 21, "Print"],
Cell[307153, 8779, 224, 5, 21, "Print"],
Cell[307380, 8786, 224, 5, 21, "Print"],
Cell[307607, 8793, 226, 5, 21, "Print"],
Cell[307836, 8800, 224, 5, 21, "Print"],
Cell[308063, 8807, 223, 5, 21, "Print"],
Cell[308289, 8814, 224, 5, 21, "Print"],
Cell[308516, 8821, 224, 5, 21, "Print"],
Cell[308743, 8828, 226, 5, 21, "Print"],
Cell[308972, 8835, 224, 5, 21, "Print"],
Cell[309199, 8842, 224, 5, 21, "Print"],
Cell[309426, 8849, 226, 5, 21, "Print"],
Cell[309655, 8856, 224, 5, 21, "Print"],
Cell[309882, 8863, 223, 5, 21, "Print"],
Cell[310108, 8870, 226, 5, 21, "Print"],
Cell[310337, 8877, 224, 5, 21, "Print"],
Cell[310564, 8884, 224, 5, 21, "Print"],
Cell[310791, 8891, 226, 5, 21, "Print"],
Cell[311020, 8898, 225, 5, 21, "Print"],
Cell[311248, 8905, 228, 5, 21, "Print"],
Cell[311479, 8912, 228, 5, 21, "Print"],
Cell[311710, 8919, 228, 5, 21, "Print"],
Cell[311941, 8926, 228, 5, 21, "Print"],
Cell[312172, 8933, 228, 5, 21, "Print"],
Cell[312403, 8940, 228, 5, 21, "Print"],
Cell[312634, 8947, 226, 5, 21, "Print"],
Cell[312863, 8954, 225, 5, 21, "Print"],
Cell[313091, 8961, 226, 5, 21, "Print"],
Cell[313320, 8968, 226, 5, 21, "Print"],
Cell[313549, 8975, 225, 5, 21, "Print"],
Cell[313777, 8982, 228, 5, 21, "Print"],
Cell[314008, 8989, 226, 5, 21, "Print"],
Cell[314237, 8996, 228, 5, 21, "Print"],
Cell[314468, 9003, 226, 5, 21, "Print"],
Cell[314697, 9010, 228, 5, 21, "Print"],
Cell[314928, 9017, 225, 5, 21, "Print"],
Cell[315156, 9024, 226, 5, 21, "Print"],
Cell[315385, 9031, 226, 5, 21, "Print"],
Cell[315614, 9038, 228, 5, 21, "Print"],
Cell[315845, 9045, 226, 5, 21, "Print"],
Cell[316074, 9052, 228, 5, 21, "Print"],
Cell[316305, 9059, 228, 5, 21, "Print"],
Cell[316536, 9066, 226, 5, 21, "Print"],
Cell[316765, 9073, 226, 5, 21, "Print"],
Cell[316994, 9080, 226, 5, 21, "Print"],
Cell[317223, 9087, 228, 5, 21, "Print"],
Cell[317454, 9094, 226, 5, 21, "Print"],
Cell[317683, 9101, 228, 5, 21, "Print"],
Cell[317914, 9108, 226, 5, 21, "Print"],
Cell[318143, 9115, 226, 5, 21, "Print"]
}, Open  ]],
Cell[318384, 9123, 2014, 46, 184, "Output"]
}, Open  ]],
Cell[320413, 9172, 122, 3, 28, "Input"],
Cell[CellGroupData[{
Cell[320560, 9179, 1040, 25, 221, "Input"],
Cell[321603, 9206, 1042, 25, 94, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

